module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(716);


/***/ }),

/***/ 18:
/***/ (function(module, exports) {

	module.exports = require("throttle-debounce/debounce");

/***/ }),

/***/ 23:
/***/ (function(module, exports) {

	module.exports = require("ifbp-element/lib/utils/vue-popper");

/***/ }),

/***/ 68:
/***/ (function(module, exports) {

	module.exports = require("vue");

/***/ }),

/***/ 515:
/***/ (function(module, exports) {

	module.exports = require("ifbp-element/lib/utils/vdom");

/***/ }),

/***/ 716:
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _main = __webpack_require__(717);

	var _main2 = _interopRequireDefault(_main);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	/* istanbul ignore next */
	_main2.default.install = function (Vue) {
	  Vue.component(_main2.default.name, _main2.default);
	};

	exports.default = _main2.default;

/***/ }),

/***/ 717:
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _vuePopper = __webpack_require__(23);

	var _vuePopper2 = _interopRequireDefault(_vuePopper);

	var _debounce = __webpack_require__(18);

	var _debounce2 = _interopRequireDefault(_debounce);

	var _vdom = __webpack_require__(515);

	var _vue = __webpack_require__(68);

	var _vue2 = _interopRequireDefault(_vue);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	exports.default = {
	  name: 'ElTooltip',

	  mixins: [_vuePopper2.default],

	  props: {
	    openDelay: {
	      type: Number,
	      default: 0
	    },
	    disabled: Boolean,
	    manual: Boolean,
	    effect: {
	      type: String,
	      default: 'dark'
	    },
	    popperClass: String,
	    content: {},
	    visibleArrow: {
	      default: true
	    },
	    transition: {
	      type: String,
	      default: 'el-fade-in-linear'
	    },
	    popperOptions: {
	      default: function _default() {
	        return {
	          boundariesPadding: 10,
	          gpuAcceleration: false
	        };
	      }
	    },
	    enterable: {
	      type: Boolean,
	      default: true
	    }
	  },

	  beforeCreate: function beforeCreate() {
	    var _this = this;

	    if (this.$isServer) return;

	    this.popperVM = new _vue2.default({
	      data: { node: '' },
	      render: function render(h) {
	        return this.node;
	      }
	    }).$mount();

	    this.debounceClose = (0, _debounce2.default)(200, function () {
	      return _this.handleClosePopper();
	    });
	  },
	  render: function render(h) {
	    var _this2 = this;

	    if (this.popperVM && this.effect !== 'normal') {
	      this.popperVM.node = h(
	        'transition',
	        {
	          attrs: {
	            name: this.transition
	          },
	          on: {
	            'afterLeave': this.doDestroy
	          }
	        },
	        [h(
	          'div',
	          {
	            on: {
	              'mouseleave': function mouseleave() {
	                _this2.setExpectedState(false);_this2.debounceClose();
	              },
	              'mouseenter': function mouseenter() {
	                _this2.setExpectedState(true);
	              }
	            },

	            ref: 'popper',
	            directives: [{
	              name: 'show',
	              value: !this.disabled && this.showPopper
	            }],

	            'class': ['el-tooltip__popper', 'is-' + this.effect, this.popperClass] },
	          [this.$slots.content || this.content]
	        )]
	      );
	    }
	    if (this.popperVM && this.effect === 'normal') {
	      this.popperVM.node = h(
	        'transition',
	        {
	          attrs: {
	            name: this.transition
	          },
	          on: {
	            'afterLeave': this.doDestroy
	          }
	        },
	        [h(
	          'div',
	          {
	            on: {
	              'mouseleave': function mouseleave() {},
	              'mouseenter': function mouseenter() {}
	            },

	            ref: 'popper',
	            'class': 'tooltip-normal',
	            directives: [{
	              name: 'show',
	              value: !this.disabled && this.showPopper
	            }]
	          },
	          [this.$slots.content || this.content]
	        )]
	      );
	    }

	    if (!this.$slots.default || !this.$slots.default.length) return this.$slots.default;

	    var vnode = (0, _vdom.getFirstComponentChild)(this.$slots.default);
	    if (!vnode) return vnode;
	    var data = vnode.data = vnode.data || {};
	    var on = vnode.data.on = vnode.data.on || {};
	    if (this.effect !== 'normal') {
	      on.mouseenter = this.addEventHandle(on.mouseenter, function (e) {
	        _this2._render();var tar = e.target;if (tar) {
	          _this2.referenceElm = tar;
	        }_this2.setExpectedState(true);_this2.handleShowPopper();
	      });
	      on.mouseleave = this.addEventHandle(on.mouseleave, function () {
	        _this2.setExpectedState(false);_this2.debounceClose();
	      });
	      data.staticClass = this.concatClass(data.staticClass, 'el-tooltip');
	      return vnode;
	    } else {
	      on.mouseenter = this.addEventHandle(on.mouseenter, function (e) {
	        _this2._render();
	        var tar = e.target;
	        var obj = _this2.$refs.popper;
	        _this2.setExpectedState(true);
	        _this2.handleShowPopper();
	        setTimeout(function () {
	          _this2.titleMouseOver(obj, e);
	        });
	      });
	      on.mouseleave = this.addEventHandle(on.mouseleave, function () {
	        _this2.setExpectedState(false);
	        _this2.handleClosePopper();
	      });
	      return vnode;
	    }
	  },
	  mounted: function mounted() {
	    this.referenceElm = this.$el;
	  },


	  methods: {
	    addEventHandle: function addEventHandle(old, fn) {
	      return old ? Array.isArray(old) ? old.concat(fn) : [old, fn] : fn;
	    },
	    concatClass: function concatClass(a, b) {
	      if (a && a.indexOf(b) > -1) return a;
	      return a ? b ? a + ' ' + b : a : b || '';
	    },
	    handleShowPopper: function handleShowPopper() {
	      var _this3 = this;

	      if (!this.expectedState || this.manual) return;
	      clearTimeout(this.timeout);
	      this.timeout = setTimeout(function () {
	        _this3.showPopper = true;
	      }, this.openDelay);
	    },
	    handleClosePopper: function handleClosePopper() {
	      if (this.enterable && this.expectedState || this.manual) return;
	      clearTimeout(this.timeout);
	      this.$refs.popper.style.display = 'none';
	      this.showPopper = false;
	    },
	    setExpectedState: function setExpectedState(expectedState) {
	      this.expectedState = expectedState;
	    },
	    split_str: function split_str(string, words_per_line) {
	      //空串，直接返回
	      if (typeof string == 'undefined' || string === null || string.length == 0) return '';
	      string = string + '';
	      //单行字数未设定，非数值，则取默认值50
	      if (typeof words_per_line == 'undefined' || isNaN(words_per_line)) {
	        words_per_line = 50;
	      }
	      //格式化成整形值
	      words_per_line = parseInt(words_per_line);
	      //取出i=0时的字，避免for循环里换行时多次判断i是否为0
	      var output_string = string.substring(0, 1);
	      //循环分隔字符串
	      for (var i = 1; i < string.length; i++) {
	        //如果当前字符是每行显示的字符数的倍数，输出换行
	        if (i % words_per_line == 0) {
	          output_string += "<br/>";
	        }
	        //每次拼入一个字符
	        output_string += string.substring(i, i + 1);
	      }
	      return output_string;
	    },
	    titleMouseOver: function titleMouseOver(obj, event, words_per_line) {
	      if (!this.disabled) {
	        var attr_style = document.createAttribute('style'); //新建Element的style属性
	        attr_style.nodeValue = 'position:absolute;z-index:1999;' //绝对定位
	        + 'border: 0 solid #BDBDBD; background:#EFEFEF;;' //边框、背景颜色
	        + 'box-shadow:0 0 2px 0 rgba(0,0,0,0.10);' //圆角、阴影
	        + 'line-height:16px;' //行间距
	        + 'color:#333333;font-size:12px; padding: 2px 8px;'; //字体大小、内间距
	        try {
	          obj.setAttributeNode(attr_style); //为Element设置style属性
	        } catch (e) {
	          //IE6
	          obj.style.position = 'absolute';
	          obj.style.border = '0 solid #BDBDBD';
	          obj.style.background = '#EFEFEF';
	          obj.style.lineHeight = '16px';
	          obj.style.fontSize = '12px';
	          obj.style.padding = '2px 8px';
	          obj.style.color = '#333333';
	          obj.style.boxShadow = '0 0 2px 0 rgba(0,0,0,0.10)';
	        }
	        //单行字数未设定，非数值，则取默认值50
	        if (typeof words_per_line == 'undefined' || isNaN(words_per_line)) {
	          words_per_line = 50;
	        }
	        //格式化成整形值
	        words_per_line = parseInt(words_per_line);
	        //在title_show中按每行限定字数显示标题内容，模拟TITLE悬停效果
	        obj.innerHTML = this.split_str(this.content, words_per_line);
	        // 为了避免出现多个，先将其他的隐藏
	        $('.tooltip-normal').hide();
	        //显示悬停效果DIV
	        obj.style.display = 'block';
	        //根据鼠标位置设定悬停效果DIV位置
	        event = event || window.event; //鼠标、键盘事件
	        var top_down = 15; //下移15px避免遮盖当前标签
	        //最左值为当前鼠标位置 与 body宽度减去悬停效果DIV宽度的最小值，否则将右端导致遮盖
	        var left = Math.min(event.clientX, document.body.clientWidth - obj.clientWidth);
	        obj.style.left = left + "px"; //设置title_show在页面中的X轴位置。
	        obj.style.top = event.pageY + top_down + "px"; //
	        /* if(event.clientY + top_down + obj.clientHeight > document.body.clientHeight){
	            obj.style.top = (event.clientY - top_down - obj.clientHeight)+"px";    //设置title_show在页面中的Y轴位置。
	          }else{
	            obj.style.top = (event.clientY + top_down)+"px";    //设置title_show在页面中的Y轴位置。
	          }*/
	      }
	    }
	  }
	};

/***/ })

/******/ });