module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(275);


/***/ }),

/***/ 3:
/***/ (function(module, exports) {

	/* globals __VUE_SSR_CONTEXT__ */

	// this module is a runtime utility for cleaner component module output and will
	// be included in the final webpack user bundle

	module.exports = function normalizeComponent (
	  rawScriptExports,
	  compiledTemplate,
	  injectStyles,
	  scopeId,
	  moduleIdentifier /* server only */
	) {
	  var esModule
	  var scriptExports = rawScriptExports = rawScriptExports || {}

	  // ES6 modules interop
	  var type = typeof rawScriptExports.default
	  if (type === 'object' || type === 'function') {
	    esModule = rawScriptExports
	    scriptExports = rawScriptExports.default
	  }

	  // Vue.extend constructor export interop
	  var options = typeof scriptExports === 'function'
	    ? scriptExports.options
	    : scriptExports

	  // render functions
	  if (compiledTemplate) {
	    options.render = compiledTemplate.render
	    options.staticRenderFns = compiledTemplate.staticRenderFns
	  }

	  // scopedId
	  if (scopeId) {
	    options._scopeId = scopeId
	  }

	  var hook
	  if (moduleIdentifier) { // server build
	    hook = function (context) {
	      // 2.3 injection
	      context =
	        context || // cached call
	        (this.$vnode && this.$vnode.ssrContext) || // stateful
	        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
	      // 2.2 with runInNewContext: true
	      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
	        context = __VUE_SSR_CONTEXT__
	      }
	      // inject component styles
	      if (injectStyles) {
	        injectStyles.call(this, context)
	      }
	      // register component module identifier for async chunk inferrence
	      if (context && context._registeredComponents) {
	        context._registeredComponents.add(moduleIdentifier)
	      }
	    }
	    // used by ssr in case component is cached and beforeCreate
	    // never gets called
	    options._ssrRegister = hook
	  } else if (injectStyles) {
	    hook = injectStyles
	  }

	  if (hook) {
	    var functional = options.functional
	    var existing = functional
	      ? options.render
	      : options.beforeCreate
	    if (!functional) {
	      // inject component registration as beforeCreate hook
	      options.beforeCreate = existing
	        ? [].concat(existing, hook)
	        : [hook]
	    } else {
	      // register for functioal component in vue file
	      options.render = function renderWithStyleInjection (h, context) {
	        hook.call(context)
	        return existing(h, context)
	      }
	    }
	  }

	  return {
	    esModule: esModule,
	    exports: scriptExports,
	    options: options
	  }
	}


/***/ }),

/***/ 10:
/***/ (function(module, exports) {

	/*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
	// css base code, injected by the css-loader
	module.exports = function() {
		var list = [];

		// return the list of modules as css string
		list.toString = function toString() {
			var result = [];
			for(var i = 0; i < this.length; i++) {
				var item = this[i];
				if(item[2]) {
					result.push("@media " + item[2] + "{" + item[1] + "}");
				} else {
					result.push(item[1]);
				}
			}
			return result.join("");
		};

		// import a list of modules into the list
		list.i = function(modules, mediaQuery) {
			if(typeof modules === "string")
				modules = [[null, modules, ""]];
			var alreadyImportedModules = {};
			for(var i = 0; i < this.length; i++) {
				var id = this[i][0];
				if(typeof id === "number")
					alreadyImportedModules[id] = true;
			}
			for(i = 0; i < modules.length; i++) {
				var item = modules[i];
				// skip already imported module
				// this implementation is not 100% perfect for weird media query combinations
				//  when a module is imported multiple times with different media queries.
				//  I hope this will never occur (Hey this way we have smaller bundles)
				if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
					if(mediaQuery && !item[2]) {
						item[2] = mediaQuery;
					} else if(mediaQuery) {
						item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
					}
					list.push(item);
				}
			}
		};
		return list;
	};


/***/ }),

/***/ 11:
/***/ (function(module, exports, __webpack_require__) {

	/*
	  MIT License http://www.opensource.org/licenses/mit-license.php
	  Author Tobias Koppers @sokra
	  Modified by Evan You @yyx990803
	*/

	var hasDocument = typeof document !== 'undefined'

	if (false) {
	  if (!hasDocument) {
	    throw new Error(
	    'vue-style-loader cannot be used in a non-browser environment. ' +
	    "Use { target: 'node' } in your Webpack config to indicate a server-rendering environment."
	  ) }
	}

	var listToStyles = __webpack_require__(12)

	/*
	type StyleObject = {
	  id: number;
	  parts: Array<StyleObjectPart>
	}

	type StyleObjectPart = {
	  css: string;
	  media: string;
	  sourceMap: ?string
	}
	*/

	var stylesInDom = {/*
	  [id: number]: {
	    id: number,
	    refs: number,
	    parts: Array<(obj?: StyleObjectPart) => void>
	  }
	*/}

	var head = hasDocument && (document.head || document.getElementsByTagName('head')[0])
	var singletonElement = null
	var singletonCounter = 0
	var isProduction = false
	var noop = function () {}
	var options = null
	var ssrIdKey = 'data-vue-ssr-id'

	// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
	// tags it will allow on a page
	var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\b/.test(navigator.userAgent.toLowerCase())

	module.exports = function (parentId, list, _isProduction, _options) {
	  isProduction = _isProduction

	  options = _options || {}

	  var styles = listToStyles(parentId, list)
	  addStylesToDom(styles)

	  return function update (newList) {
	    var mayRemove = []
	    for (var i = 0; i < styles.length; i++) {
	      var item = styles[i]
	      var domStyle = stylesInDom[item.id]
	      domStyle.refs--
	      mayRemove.push(domStyle)
	    }
	    if (newList) {
	      styles = listToStyles(parentId, newList)
	      addStylesToDom(styles)
	    } else {
	      styles = []
	    }
	    for (var i = 0; i < mayRemove.length; i++) {
	      var domStyle = mayRemove[i]
	      if (domStyle.refs === 0) {
	        for (var j = 0; j < domStyle.parts.length; j++) {
	          domStyle.parts[j]()
	        }
	        delete stylesInDom[domStyle.id]
	      }
	    }
	  }
	}

	function addStylesToDom (styles /* Array<StyleObject> */) {
	  for (var i = 0; i < styles.length; i++) {
	    var item = styles[i]
	    var domStyle = stylesInDom[item.id]
	    if (domStyle) {
	      domStyle.refs++
	      for (var j = 0; j < domStyle.parts.length; j++) {
	        domStyle.parts[j](item.parts[j])
	      }
	      for (; j < item.parts.length; j++) {
	        domStyle.parts.push(addStyle(item.parts[j]))
	      }
	      if (domStyle.parts.length > item.parts.length) {
	        domStyle.parts.length = item.parts.length
	      }
	    } else {
	      var parts = []
	      for (var j = 0; j < item.parts.length; j++) {
	        parts.push(addStyle(item.parts[j]))
	      }
	      stylesInDom[item.id] = { id: item.id, refs: 1, parts: parts }
	    }
	  }
	}

	function createStyleElement () {
	  var styleElement = document.createElement('style')
	  styleElement.type = 'text/css'
	  head.appendChild(styleElement)
	  return styleElement
	}

	function addStyle (obj /* StyleObjectPart */) {
	  var update, remove
	  var styleElement = document.querySelector('style[' + ssrIdKey + '~="' + obj.id + '"]')

	  if (styleElement) {
	    if (isProduction) {
	      // has SSR styles and in production mode.
	      // simply do nothing.
	      return noop
	    } else {
	      // has SSR styles but in dev mode.
	      // for some reason Chrome can't handle source map in server-rendered
	      // style tags - source maps in <style> only works if the style tag is
	      // created and inserted dynamically. So we remove the server rendered
	      // styles and inject new ones.
	      styleElement.parentNode.removeChild(styleElement)
	    }
	  }

	  if (isOldIE) {
	    // use singleton mode for IE9.
	    var styleIndex = singletonCounter++
	    styleElement = singletonElement || (singletonElement = createStyleElement())
	    update = applyToSingletonTag.bind(null, styleElement, styleIndex, false)
	    remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true)
	  } else {
	    // use multi-style-tag mode in all other cases
	    styleElement = createStyleElement()
	    update = applyToTag.bind(null, styleElement)
	    remove = function () {
	      styleElement.parentNode.removeChild(styleElement)
	    }
	  }

	  update(obj)

	  return function updateStyle (newObj /* StyleObjectPart */) {
	    if (newObj) {
	      if (newObj.css === obj.css &&
	          newObj.media === obj.media &&
	          newObj.sourceMap === obj.sourceMap) {
	        return
	      }
	      update(obj = newObj)
	    } else {
	      remove()
	    }
	  }
	}

	var replaceText = (function () {
	  var textStore = []

	  return function (index, replacement) {
	    textStore[index] = replacement
	    return textStore.filter(Boolean).join('\n')
	  }
	})()

	function applyToSingletonTag (styleElement, index, remove, obj) {
	  var css = remove ? '' : obj.css

	  if (styleElement.styleSheet) {
	    styleElement.styleSheet.cssText = replaceText(index, css)
	  } else {
	    var cssNode = document.createTextNode(css)
	    var childNodes = styleElement.childNodes
	    if (childNodes[index]) styleElement.removeChild(childNodes[index])
	    if (childNodes.length) {
	      styleElement.insertBefore(cssNode, childNodes[index])
	    } else {
	      styleElement.appendChild(cssNode)
	    }
	  }
	}

	function applyToTag (styleElement, obj) {
	  var css = obj.css
	  var media = obj.media
	  var sourceMap = obj.sourceMap

	  if (media) {
	    styleElement.setAttribute('media', media)
	  }
	  if (options.ssrId) {
	    styleElement.setAttribute(ssrIdKey, obj.id)
	  }

	  if (sourceMap) {
	    // https://developer.chrome.com/devtools/docs/javascript-debugging
	    // this makes source maps inside style tags work properly in Chrome
	    css += '\n/*# sourceURL=' + sourceMap.sources[0] + ' */'
	    // http://stackoverflow.com/a/26603875
	    css += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + ' */'
	  }

	  if (styleElement.styleSheet) {
	    styleElement.styleSheet.cssText = css
	  } else {
	    while (styleElement.firstChild) {
	      styleElement.removeChild(styleElement.firstChild)
	    }
	    styleElement.appendChild(document.createTextNode(css))
	  }
	}


/***/ }),

/***/ 12:
/***/ (function(module, exports) {

	/**
	 * Translates the list format produced by css-loader into something
	 * easier to manipulate.
	 */
	module.exports = function listToStyles (parentId, list) {
	  var styles = []
	  var newStyles = {}
	  for (var i = 0; i < list.length; i++) {
	    var item = list[i]
	    var id = item[0]
	    var css = item[1]
	    var media = item[2]
	    var sourceMap = item[3]
	    var part = {
	      id: parentId + ':' + i,
	      css: css,
	      media: media,
	      sourceMap: sourceMap
	    }
	    if (!newStyles[id]) {
	      styles.push(newStyles[id] = { id: id, parts: [part] })
	    } else {
	      newStyles[id].parts.push(part)
	    }
	  }
	  return styles
	}


/***/ }),

/***/ 275:
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _ifbpAddressRef = __webpack_require__(276);

	var _ifbpAddressRef2 = _interopRequireDefault(_ifbpAddressRef);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	/* istanbul ignore next */
	_ifbpAddressRef2.default.install = function (Vue) {
	  Vue.component(_ifbpAddressRef2.default.name, _ifbpAddressRef2.default);
	};

	exports.default = _ifbpAddressRef2.default;

/***/ }),

/***/ 276:
/***/ (function(module, exports, __webpack_require__) {

	function injectStyle (ssrContext) {
	  __webpack_require__(277)
	}
	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(279),
	  /* template */
	  __webpack_require__(290),
	  /* styles */
	  injectStyle,
	  /* scopeId */
	  null,
	  /* moduleIdentifier (server only) */
	  null
	)

	module.exports = Component.exports


/***/ }),

/***/ 277:
/***/ (function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag

	// load the styles
	var content = __webpack_require__(278);
	if(typeof content === 'string') content = [[module.id, content, '']];
	if(content.locals) module.exports = content.locals;
	// add the styles to the DOM
	var update = __webpack_require__(11)("6ca2f914", content, true, {});

/***/ }),

/***/ 278:
/***/ (function(module, exports, __webpack_require__) {

	exports = module.exports = __webpack_require__(10)();
	// imports


	// module
	exports.push([module.id, "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", ""]);

	// exports


/***/ }),

/***/ 279:
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _addressDialog = __webpack_require__(280);

	var _addressDialog2 = _interopRequireDefault(_addressDialog);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	exports.default = {
	  name: 'IfbpAddressRef',
	  props: {
	    width: {},
	    placeholder: {},
	    disabled: {
	      type: Boolean,
	      default: false
	    }
	  },
	  components: { addressDialog: _addressDialog2.default },
	  data: function data() {
	    return {
	      value: '',
	      dialogVisible: false
	    };
	  },

	  watch: {
	    value: function value(val) {
	      this.$emit('change', val);
	    }
	  },
	  methods: {
	    showDialog: function showDialog() {
	      this.$refs.formPanel.init();
	      this.dialogVisible = true;
	    },
	    closeDialog: function closeDialog() {
	      this.dialogVisible = false;
	    },
	    handleChange: function handleChange(formData) {
	      var arr = [];
	      Object.keys(formData).forEach(function (key) {
	        if (formData[key]) {
	          arr.push(formData[key]);
	        }
	      });
	      if (arr.length !== 0) {
	        this.value = arr.join(',');
	      }
	    }
	  }
	}; //
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//

/***/ }),

/***/ 280:
/***/ (function(module, exports, __webpack_require__) {

	function injectStyle (ssrContext) {
	  __webpack_require__(281)
	}
	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(283),
	  /* template */
	  __webpack_require__(289),
	  /* styles */
	  injectStyle,
	  /* scopeId */
	  "data-v-43a2cb78",
	  /* moduleIdentifier (server only) */
	  null
	)

	module.exports = Component.exports


/***/ }),

/***/ 281:
/***/ (function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag

	// load the styles
	var content = __webpack_require__(282);
	if(typeof content === 'string') content = [[module.id, content, '']];
	if(content.locals) module.exports = content.locals;
	// add the styles to the DOM
	var update = __webpack_require__(11)("21874f73", content, true, {});

/***/ }),

/***/ 282:
/***/ (function(module, exports, __webpack_require__) {

	exports = module.exports = __webpack_require__(10)();
	// imports


	// module
	exports.push([module.id, "\n.tabDialog[data-v-43a2cb78] {\n    z-index: 9999;\n    position: absolute;\n}\n.tree-node-panel-content[data-v-43a2cb78] {\n    overflow-x: hidden;\n    overflow-y: auto;\n}\n.tree-node-childnode[data-v-43a2cb78] {\n    padding: 8px;\n    overflow: hidden;\n    white-space: nowrap;\n    text-overflow: ellipsis;\n    color: #2D2D2D;\n    cursor: pointer;\n    font-size: 14px;\n    line-height: 14px;\n}\n.tree-node-childnode[data-v-43a2cb78]:hover,\n.tree-node-childnode.current[data-v-43a2cb78] {\n    color: #5AC8FA;\n}\n", ""]);

	// exports


/***/ }),

/***/ 283:
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _refInput = __webpack_require__(284);

	var _refInput2 = _interopRequireDefault(_refInput);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	exports.default = {
	  name: 'addressDialog',
	  props: ['dialogVisible', 'savedSelected', 'size'],
	  components: { refInput: _refInput2.default },
	  data: function data() {
	    return {
	      visible: false,
	      addressName: '',
	      showPanel: false,
	      inputWidth: null,
	      inputLeft: null,
	      inputTop: null,
	      refFormData: {
	        district: '',
	        address: '',
	        zipCode: ''
	      }
	    };
	  },

	  watch: {
	    dialogVisible: function dialogVisible(val) {
	      this.visible = val;
	      if (val === false) {
	        this.showPanel = false;
	      }
	    },
	    showPanel: function showPanel(val) {
	      if (val === true) {
	        $(document).click(function (e) {
	          if ($(e.target).attr('class') != 'el-input__inner' && $(e.target).closest('#addressBox').length == 0) {
	            this.showPanel = false;
	          }
	        }.bind(this));
	      }
	    }
	  },
	  created: function created() {
	    this.init();
	  },

	  methods: {
	    init: function init() {
	      this.refFormData = {
	        district: '',
	        address: '',
	        zipCode: ''
	      };
	    },
	    handleSelect: function handleSelect(val) {
	      this.$set(this.refFormData, 'district', val.join(''));
	    },
	    confirm: function confirm() {
	      this.$emit('valueChange', this.refFormData);
	      this.$emit('closeDialog');
	    }
	  },
	  updated: function updated() {
	    this.inputWidth = this.$refs.addressInput.$refs.input.offsetWidth;
	    this.inputLeft = this.$refs.refDialog.$el.children[0].offsetLeft + 116;
	    this.inputTop = this.$refs.refDialog.$el.children[0].offsetTop + 117;
	  },
	  mounted: function mounted() {}
	}; //
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//

/***/ }),

/***/ 284:
/***/ (function(module, exports, __webpack_require__) {

	function injectStyle (ssrContext) {
	  __webpack_require__(285)
	}
	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(287),
	  /* template */
	  __webpack_require__(288),
	  /* styles */
	  injectStyle,
	  /* scopeId */
	  "data-v-d935e5ae",
	  /* moduleIdentifier (server only) */
	  null
	)

	module.exports = Component.exports


/***/ }),

/***/ 285:
/***/ (function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag

	// load the styles
	var content = __webpack_require__(286);
	if(typeof content === 'string') content = [[module.id, content, '']];
	if(content.locals) module.exports = content.locals;
	// add the styles to the DOM
	var update = __webpack_require__(11)("7ad9ea8c", content, true, {});

/***/ }),

/***/ 286:
/***/ (function(module, exports, __webpack_require__) {

	exports = module.exports = __webpack_require__(10)();
	// imports


	// module
	exports.push([module.id, "\n.tabDialog[data-v-d935e5ae]{\n  z-index: 9999;\n  position: fixed;\n}\n.tree-node-panel-content[data-v-d935e5ae] {\n  overflow-x: hidden;\n  overflow-y: auto;\n}\n.tree-node-childnode[data-v-d935e5ae] {\n  padding: 8px;\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n  color: #2D2D2D;\n  cursor: pointer;\n  font-size: 14px;\n  line-height: 14px;\n}\n.tree-node-childnode[data-v-d935e5ae]:hover,\n.tree-node-childnode.current[data-v-d935e5ae] {\n  color: #5AC8FA;\n}\n", ""]);

	// exports


/***/ }),

/***/ 287:
/***/ (function(module, exports) {

	'use strict';

	exports.__esModule = true;
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//


	exports.default = {
	  name: 'refInput',
	  props: {
	    width: {
	      type: Number,
	      default: 300
	    },
	    offsetLeft: {
	      type: Number,
	      default: 300
	    },
	    offsetTop: {
	      type: Number,
	      default: 300
	    },
	    position: {}
	  },
	  data: function data() {
	    return {
	      countryId: null, //国家id
	      // 当前选中panel
	      treeNodePanel: null,
	      // tab数组
	      selectedNodesInPanel: [],
	      contentHeight: 400,
	      tabWidth: '',
	      offSetTop: '',
	      offSetLeft: '',
	      currentType: '',
	      addressName: [],
	      tabIndex: null
	    };
	  },

	  computed: {
	    panelStyle: function panelStyle() {
	      return {
	        width: this.width + 'px',
	        top: this.offsetTop + 'px',
	        left: this.offsetLeft + 'px'
	      };
	    }
	  },
	  methods: {
	    //重置选项
	    reset: function reset() {
	      this.selectedNodesInPanel = [];
	      this.addressName = [];
	      this.requestData('/wbalone/address/queryAllCountry', 'country');
	    },

	    //自适应窗口设置
	    adjustRefData: function adjustRefData() {
	      var calcHeight = window.innerHeight - 64 * 2 - 65 - 48 - 48;
	      this.contentHeight = Math.min(parseInt(calcHeight, 10), 426);
	    },

	    // 获取城市列表数据
	    requestData: function requestData(url, type, pid) {
	      var _this = this;

	      var self = this;
	      this.$http({
	        url: url,
	        method: 'post',
	        headers: {
	          'Content-Type': 'application/json'
	        },
	        data: pid
	      }).then(function (res) {
	        var resData = res.data.data || [];
	        if (!resData) {
	          return;
	        }
	        _this.currentType = type;
	        if (resData.length !== 0) {
	          var panelCount = _this.selectedNodesInPanel.length;
	          var item = {
	            name: '',
	            panelName: 'treeNodePanel_' + panelCount,
	            children: resData
	          };
	          _this.treeNodePanel = 'treeNodePanel_' + panelCount;
	          _this.selectedNodesInPanel.push(item);
	        } else {
	          _this.$parent.showPanel = false;
	        }
	      }).catch(function () {
	        _this.$message({ type: 'error', message: '请求失败!' });
	      });
	    },

	    //切换tab
	    handleTabClick: function handleTabClick(tab) {
	      this.tabIndex = parseInt(tab.index);
	      if (this.tabIndex < this.selectedNodesInPanel.length - 1) {
	        this.selectedNodesInPanel = this.selectedNodesInPanel.slice(0, this.tabIndex + 1);
	        this.addressName = this.addressName.slice(0, this.tabIndex + 1);
	        this.$emit('select', this.addressName);
	      }
	      //如果在第一级，重置currentType值为国家
	      if (this.tabIndex === 0) {
	        this.currentType = 'country';
	      } else if (this.tabIndex === 1) {
	        this.currentType = 'region';
	      }
	    },

	    // 选中某节点
	    selectTreeNode: function selectTreeNode(node, childNode, itemIndex) {
	      if (!node || !childNode) {
	        return;
	      }
	      node.currentNodeName = childNode.name;
	      node.currentNodeId = childNode.id;
	      //如果超出长度则裁剪
	      if (itemIndex < this.selectedNodesInPanel.length - 1) {
	        this.selectedNodesInPanel = this.selectedNodesInPanel.slice(0, tabIndex + 1);
	      }
	      //子菜单不重复push
	      if (this.addressName.length < this.selectedNodesInPanel.length) {
	        this.addressName.push(node.currentNodeName);
	      } else {
	        this.addressName.splice(this.selectedNodesInPanel.length - 1, 1, node.currentNodeName);
	      }
	      var url, type, params;
	      if (this.currentType === 'country') {
	        url = '/wbalone/address/queryRegionByCountry';type = 'region';params = childNode.id;
	        this.countryId = childNode.id;
	      } else if (this.currentType === 'region') {
	        url = '/wbalone/address/queryRegionByFather';type = 'city';params = { pk_country: this.countryId, pk_father: childNode.id };
	      }
	      if (url) {
	        this.requestData(url, type, params);
	      } else {
	        this.$parent.showPanel = false;
	      }
	      this.$emit('select', this.addressName);
	    }
	  },
	  mounted: function mounted() {
	    var _this2 = this;

	    this.$nextTick(function () {
	      _this2.adjustRefData();
	    });
	    window.addEventListener('resize', function () {
	      _this2.adjustRefData.call(_this2);
	    });
	    //加载国家列表
	    this.requestData('/wbalone/address/queryAllCountry', 'country');
	  },
	  beforeDestroy: function beforeDestroy() {
	    this.reset();
	  }
	};

/***/ }),

/***/ 288:
/***/ (function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c('div', {
	    staticClass: "tabDialog",
	    style: (_vm.panelStyle),
	    attrs: {
	      "id": "addressBox"
	    }
	  }, [_c('el-tabs', {
	    attrs: {
	      "type": "border-card"
	    },
	    on: {
	      "tab-click": _vm.handleTabClick
	    },
	    model: {
	      value: (_vm.treeNodePanel),
	      callback: function($$v) {
	        _vm.treeNodePanel = $$v
	      },
	      expression: "treeNodePanel"
	    }
	  }, _vm._l((_vm.selectedNodesInPanel), function(node, index) {
	    return _c('el-tab-pane', {
	      key: index,
	      attrs: {
	        "name": node.panelName,
	        "label": node.currentNodeName ? node.currentNodeName : '请选择'
	      }
	    }, [_c('div', {
	      staticClass: "tree-node-panel-content",
	      style: ({
	        maxHeight: _vm.contentHeight - 84 + 'px'
	      })
	    }, [_c('el-row', {
	      staticClass: "tree-node-childnodes",
	      attrs: {
	        "gutter": 8
	      }
	    }, _vm._l((node.children), function(childNode, childIndex) {
	      return _c('el-col', {
	        key: childIndex,
	        staticClass: "tree-node-childnode",
	        class: {
	          current: node.id === childNode.pid
	        },
	        attrs: {
	          "span": 6,
	          "title": childNode.name
	        },
	        nativeOn: {
	          "click": function($event) {
	            _vm.selectTreeNode(node, childNode, index)
	          }
	        }
	      }, [_vm._v(_vm._s(childNode.name))])
	    }))], 1)])
	  }))], 1)
	},staticRenderFns: []}

/***/ }),

/***/ 289:
/***/ (function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c('div', [_c('el-dialog', {
	    ref: "refDialog",
	    attrs: {
	      "title": "详细地址",
	      "size": _vm.size,
	      "close-on-click-modal": false,
	      "close-on-press-escape": false,
	      "show-close": false
	    },
	    model: {
	      value: (_vm.visible),
	      callback: function($$v) {
	        _vm.visible = $$v
	      },
	      expression: "visible"
	    }
	  }, [_c('el-form', {
	    ref: "dialogForm",
	    attrs: {
	      "model": _vm.refFormData,
	      "label-width": "100px"
	    }
	  }, [_c('el-form-item', {
	    attrs: {
	      "label": "所在地区："
	    }
	  }, [_c('el-input', {
	    ref: "addressInput",
	    attrs: {
	      "placeholder": '请选择地址',
	      "icon": "caret-down"
	    },
	    on: {
	      "mouseout": function($event) {
	        _vm.showPanel = false
	      },
	      "focus": function($event) {
	        _vm.showPanel = true
	      }
	    },
	    model: {
	      value: (_vm.refFormData.district),
	      callback: function($$v) {
	        _vm.refFormData.district = $$v
	      },
	      expression: "refFormData.district"
	    }
	  })], 1), _c('el-form-item', {
	    attrs: {
	      "label": "详细地址："
	    }
	  }, [_c('el-input', {
	    model: {
	      value: (_vm.refFormData.address),
	      callback: function($$v) {
	        _vm.refFormData.address = $$v
	      },
	      expression: "refFormData.address"
	    }
	  }, [_vm._v(_vm._s(_vm.refFormData.address))])], 1), _c('el-form-item', {
	    attrs: {
	      "label": "邮编："
	    }
	  }, [_c('el-input', {
	    model: {
	      value: (_vm.refFormData.zipCode),
	      callback: function($$v) {
	        _vm.refFormData.zipCode = $$v
	      },
	      expression: "refFormData.zipCode"
	    }
	  }, [_vm._v(_vm._s(_vm.refFormData.zipCode))])], 1)], 1), _c('div', {
	    staticClass: "dialog-footer",
	    slot: "footer"
	  }, [_c('el-button', {
	    on: {
	      "click": _vm.confirm
	    }
	  }, [_vm._v("取 消")]), _c('el-button', {
	    attrs: {
	      "type": "primary"
	    },
	    on: {
	      "click": _vm.confirm
	    }
	  }, [_vm._v("确 定")])], 1)], 1), (_vm.showPanel) ? _c('ref-input', {
	    ref: "addressPanel",
	    attrs: {
	      "width": _vm.inputWidth,
	      "offsetLeft": _vm.inputLeft,
	      "offsetTop": _vm.inputTop
	    },
	    on: {
	      "select": _vm.handleSelect
	    }
	  }) : _vm._e()], 1)
	},staticRenderFns: []}

/***/ }),

/***/ 290:
/***/ (function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c('div', [_c('el-input', {
	    style: ({
	      width: '100%',
	      display: 'inline-block'
	    }),
	    attrs: {
	      "placeholder": _vm.placeholder,
	      "icon": "pt-fenlei1",
	      "width": _vm.width,
	      "disabled": _vm.disabled,
	      "on-icon-click": _vm.showDialog
	    },
	    model: {
	      value: (_vm.value),
	      callback: function($$v) {
	        _vm.value = $$v
	      },
	      expression: "value"
	    }
	  }), _c('address-dialog', {
	    ref: "formPanel",
	    attrs: {
	      "size": 'small',
	      "dialogVisible": _vm.dialogVisible
	    },
	    on: {
	      "closeDialog": _vm.closeDialog,
	      "valueChange": _vm.handleChange
	    }
	  })], 1)
	},staticRenderFns: []}

/***/ })

/******/ });