module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(291);


/***/ }),

/***/ 3:
/***/ (function(module, exports) {

	/* globals __VUE_SSR_CONTEXT__ */

	// this module is a runtime utility for cleaner component module output and will
	// be included in the final webpack user bundle

	module.exports = function normalizeComponent (
	  rawScriptExports,
	  compiledTemplate,
	  injectStyles,
	  scopeId,
	  moduleIdentifier /* server only */
	) {
	  var esModule
	  var scriptExports = rawScriptExports = rawScriptExports || {}

	  // ES6 modules interop
	  var type = typeof rawScriptExports.default
	  if (type === 'object' || type === 'function') {
	    esModule = rawScriptExports
	    scriptExports = rawScriptExports.default
	  }

	  // Vue.extend constructor export interop
	  var options = typeof scriptExports === 'function'
	    ? scriptExports.options
	    : scriptExports

	  // render functions
	  if (compiledTemplate) {
	    options.render = compiledTemplate.render
	    options.staticRenderFns = compiledTemplate.staticRenderFns
	  }

	  // scopedId
	  if (scopeId) {
	    options._scopeId = scopeId
	  }

	  var hook
	  if (moduleIdentifier) { // server build
	    hook = function (context) {
	      // 2.3 injection
	      context =
	        context || // cached call
	        (this.$vnode && this.$vnode.ssrContext) || // stateful
	        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
	      // 2.2 with runInNewContext: true
	      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
	        context = __VUE_SSR_CONTEXT__
	      }
	      // inject component styles
	      if (injectStyles) {
	        injectStyles.call(this, context)
	      }
	      // register component module identifier for async chunk inferrence
	      if (context && context._registeredComponents) {
	        context._registeredComponents.add(moduleIdentifier)
	      }
	    }
	    // used by ssr in case component is cached and beforeCreate
	    // never gets called
	    options._ssrRegister = hook
	  } else if (injectStyles) {
	    hook = injectStyles
	  }

	  if (hook) {
	    var functional = options.functional
	    var existing = functional
	      ? options.render
	      : options.beforeCreate
	    if (!functional) {
	      // inject component registration as beforeCreate hook
	      options.beforeCreate = existing
	        ? [].concat(existing, hook)
	        : [hook]
	    } else {
	      // register for functioal component in vue file
	      options.render = function renderWithStyleInjection (h, context) {
	        hook.call(context)
	        return existing(h, context)
	      }
	    }
	  }

	  return {
	    esModule: esModule,
	    exports: scriptExports,
	    options: options
	  }
	}


/***/ }),

/***/ 291:
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _ifbpBreadcrumb = __webpack_require__(292);

	var _ifbpBreadcrumb2 = _interopRequireDefault(_ifbpBreadcrumb);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	/* istanbul ignore next */
	_ifbpBreadcrumb2.default.install = function (Vue) {
	  Vue.component(_ifbpBreadcrumb2.default.name, _ifbpBreadcrumb2.default);
	};

	exports.default = _ifbpBreadcrumb2.default;

/***/ }),

/***/ 292:
/***/ (function(module, exports, __webpack_require__) {

	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(293),
	  /* template */
	  __webpack_require__(294),
	  /* styles */
	  null,
	  /* scopeId */
	  null,
	  /* moduleIdentifier (server only) */
	  null
	)

	module.exports = Component.exports


/***/ }),

/***/ 293:
/***/ (function(module, exports) {

	'use strict';

	exports.__esModule = true;
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//

	exports.default = {
	  name: 'IfbpBreadcrumb',
	  props: {
	    name: {
	      type: String
	    }
	  },
	  data: function data() {
	    return {
	      // pathArray:[{'name':'首页','path':'/'},{'name':'列表','path':'/typicalDemo/add'}]
	      pathArray: []
	    };
	  },
	  watch: {
	    name: function name() {
	      // var currPath =  this.$route.fullPath;
	      var tile = this.$context.getCurrentTile();
	      tile.popPath();
	      this.init();
	      // tile.pushPath({ name: this.name, path: currPath });
	      // this.pathArray = tile.getPathStack();
	    }
	  },
	  methods: {
	    handleCrumbClick: function handleCrumbClick(index) {
	      console.log(index);
	      var tile = this.$context.getCurrentTile();
	      if (tile && typeof tile.delPathStackByIndex === 'function') {
	        tile.delPathStackByIndex(index + 1);
	      }
	    },
	    init: function init() {
	      var currPath = this.$route.fullPath;
	      var pathStatck;
	      var tile = this.$context.getCurrentTile();
	      if (!tile) {
	        var tilecode = this.$context.getCurrentTileCode();
	        if (tilecode) {
	          var tileInfo = this.$context.getTileByCode(tilecode);
	          if (tileInfo) {
	            var breadcrumbName = this.name ? this.name : tileInfo.label;
	            var pathWithTileCode = tileInfo.path;
	            if (pathWithTileCode.indexOf('tilecode=') == -1) {
	              pathWithTileCode = tileInfo.path.indexOf('?') != -1 ? tileInfo.path + '&tilecode=' + tilecode : tileInfo.path + '?tilecode=' + tilecode;
	            }
	            if (tileInfo.urltype == 'view') {
	              tile = this.$context.createTile(tilecode, tileInfo.label, pathWithTileCode);
	              tile.pushPath({ name: this.name, path: currPath });
	              this.$eventBus.$emit('tilePathChange', tile);
	            } else if (pathWithTileCode !== currPath) {
	              tile = this.$context.createTile(tilecode, tileInfo.label, pathWithTileCode);
	              tile.pushPath({ name: this.name, path: currPath });
	              this.$eventBus.$emit('tilePathChange', tile);
	            } else {
	              tile = this.$context.createTile(tilecode, breadcrumbName, currPath);
	            }
	          }
	        }
	      } else if (typeof tile.pushPath === 'function') {
	        tile.pushPath({ name: this.name, path: currPath });
	        this.$eventBus.$emit('tilePathChange', tile);
	      }
	      if (tile && typeof tile.getPathStack === 'function') {
	        pathStatck = tile.getPathStack();
	      } else {
	        pathStatck = [{ name: this.name, path: currPath }];
	      }
	      this.pathArray = pathStatck;
	    }
	  },
	  mounted: function mounted() {
	    this.init();
	  }
	};

/***/ }),

/***/ 294:
/***/ (function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c('div', {
	    staticClass: "title-container"
	  }, [_c('el-breadcrumb', {
	    attrs: {
	      "separator": "/"
	    }
	  }, _vm._l((_vm.pathArray), function(item, index) {
	    return _c('el-breadcrumb-item', {
	      key: index,
	      class: {
	        'breadcrumb-active': index === _vm.pathArray.length
	      },
	      attrs: {
	        "to": {
	          path: item.path
	        }
	      },
	      on: {
	        "routerClicked": function($event) {
	          _vm.handleCrumbClick(index)
	        }
	      }
	    }, [_vm._v(_vm._s(item.name))])
	  }))], 1)
	},staticRenderFns: []}

/***/ })

/******/ });