module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(315);


/***/ }),

/***/ 3:
/***/ (function(module, exports) {

	/* globals __VUE_SSR_CONTEXT__ */

	// this module is a runtime utility for cleaner component module output and will
	// be included in the final webpack user bundle

	module.exports = function normalizeComponent (
	  rawScriptExports,
	  compiledTemplate,
	  injectStyles,
	  scopeId,
	  moduleIdentifier /* server only */
	) {
	  var esModule
	  var scriptExports = rawScriptExports = rawScriptExports || {}

	  // ES6 modules interop
	  var type = typeof rawScriptExports.default
	  if (type === 'object' || type === 'function') {
	    esModule = rawScriptExports
	    scriptExports = rawScriptExports.default
	  }

	  // Vue.extend constructor export interop
	  var options = typeof scriptExports === 'function'
	    ? scriptExports.options
	    : scriptExports

	  // render functions
	  if (compiledTemplate) {
	    options.render = compiledTemplate.render
	    options.staticRenderFns = compiledTemplate.staticRenderFns
	  }

	  // scopedId
	  if (scopeId) {
	    options._scopeId = scopeId
	  }

	  var hook
	  if (moduleIdentifier) { // server build
	    hook = function (context) {
	      // 2.3 injection
	      context =
	        context || // cached call
	        (this.$vnode && this.$vnode.ssrContext) || // stateful
	        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
	      // 2.2 with runInNewContext: true
	      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
	        context = __VUE_SSR_CONTEXT__
	      }
	      // inject component styles
	      if (injectStyles) {
	        injectStyles.call(this, context)
	      }
	      // register component module identifier for async chunk inferrence
	      if (context && context._registeredComponents) {
	        context._registeredComponents.add(moduleIdentifier)
	      }
	    }
	    // used by ssr in case component is cached and beforeCreate
	    // never gets called
	    options._ssrRegister = hook
	  } else if (injectStyles) {
	    hook = injectStyles
	  }

	  if (hook) {
	    var functional = options.functional
	    var existing = functional
	      ? options.render
	      : options.beforeCreate
	    if (!functional) {
	      // inject component registration as beforeCreate hook
	      options.beforeCreate = existing
	        ? [].concat(existing, hook)
	        : [hook]
	    } else {
	      // register for functioal component in vue file
	      options.render = function renderWithStyleInjection (h, context) {
	        hook.call(context)
	        return existing(h, context)
	      }
	    }
	  }

	  return {
	    esModule: esModule,
	    exports: scriptExports,
	    options: options
	  }
	}


/***/ }),

/***/ 10:
/***/ (function(module, exports) {

	/*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
	// css base code, injected by the css-loader
	module.exports = function() {
		var list = [];

		// return the list of modules as css string
		list.toString = function toString() {
			var result = [];
			for(var i = 0; i < this.length; i++) {
				var item = this[i];
				if(item[2]) {
					result.push("@media " + item[2] + "{" + item[1] + "}");
				} else {
					result.push(item[1]);
				}
			}
			return result.join("");
		};

		// import a list of modules into the list
		list.i = function(modules, mediaQuery) {
			if(typeof modules === "string")
				modules = [[null, modules, ""]];
			var alreadyImportedModules = {};
			for(var i = 0; i < this.length; i++) {
				var id = this[i][0];
				if(typeof id === "number")
					alreadyImportedModules[id] = true;
			}
			for(i = 0; i < modules.length; i++) {
				var item = modules[i];
				// skip already imported module
				// this implementation is not 100% perfect for weird media query combinations
				//  when a module is imported multiple times with different media queries.
				//  I hope this will never occur (Hey this way we have smaller bundles)
				if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
					if(mediaQuery && !item[2]) {
						item[2] = mediaQuery;
					} else if(mediaQuery) {
						item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
					}
					list.push(item);
				}
			}
		};
		return list;
	};


/***/ }),

/***/ 11:
/***/ (function(module, exports, __webpack_require__) {

	/*
	  MIT License http://www.opensource.org/licenses/mit-license.php
	  Author Tobias Koppers @sokra
	  Modified by Evan You @yyx990803
	*/

	var hasDocument = typeof document !== 'undefined'

	if (false) {
	  if (!hasDocument) {
	    throw new Error(
	    'vue-style-loader cannot be used in a non-browser environment. ' +
	    "Use { target: 'node' } in your Webpack config to indicate a server-rendering environment."
	  ) }
	}

	var listToStyles = __webpack_require__(12)

	/*
	type StyleObject = {
	  id: number;
	  parts: Array<StyleObjectPart>
	}

	type StyleObjectPart = {
	  css: string;
	  media: string;
	  sourceMap: ?string
	}
	*/

	var stylesInDom = {/*
	  [id: number]: {
	    id: number,
	    refs: number,
	    parts: Array<(obj?: StyleObjectPart) => void>
	  }
	*/}

	var head = hasDocument && (document.head || document.getElementsByTagName('head')[0])
	var singletonElement = null
	var singletonCounter = 0
	var isProduction = false
	var noop = function () {}
	var options = null
	var ssrIdKey = 'data-vue-ssr-id'

	// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
	// tags it will allow on a page
	var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\b/.test(navigator.userAgent.toLowerCase())

	module.exports = function (parentId, list, _isProduction, _options) {
	  isProduction = _isProduction

	  options = _options || {}

	  var styles = listToStyles(parentId, list)
	  addStylesToDom(styles)

	  return function update (newList) {
	    var mayRemove = []
	    for (var i = 0; i < styles.length; i++) {
	      var item = styles[i]
	      var domStyle = stylesInDom[item.id]
	      domStyle.refs--
	      mayRemove.push(domStyle)
	    }
	    if (newList) {
	      styles = listToStyles(parentId, newList)
	      addStylesToDom(styles)
	    } else {
	      styles = []
	    }
	    for (var i = 0; i < mayRemove.length; i++) {
	      var domStyle = mayRemove[i]
	      if (domStyle.refs === 0) {
	        for (var j = 0; j < domStyle.parts.length; j++) {
	          domStyle.parts[j]()
	        }
	        delete stylesInDom[domStyle.id]
	      }
	    }
	  }
	}

	function addStylesToDom (styles /* Array<StyleObject> */) {
	  for (var i = 0; i < styles.length; i++) {
	    var item = styles[i]
	    var domStyle = stylesInDom[item.id]
	    if (domStyle) {
	      domStyle.refs++
	      for (var j = 0; j < domStyle.parts.length; j++) {
	        domStyle.parts[j](item.parts[j])
	      }
	      for (; j < item.parts.length; j++) {
	        domStyle.parts.push(addStyle(item.parts[j]))
	      }
	      if (domStyle.parts.length > item.parts.length) {
	        domStyle.parts.length = item.parts.length
	      }
	    } else {
	      var parts = []
	      for (var j = 0; j < item.parts.length; j++) {
	        parts.push(addStyle(item.parts[j]))
	      }
	      stylesInDom[item.id] = { id: item.id, refs: 1, parts: parts }
	    }
	  }
	}

	function createStyleElement () {
	  var styleElement = document.createElement('style')
	  styleElement.type = 'text/css'
	  head.appendChild(styleElement)
	  return styleElement
	}

	function addStyle (obj /* StyleObjectPart */) {
	  var update, remove
	  var styleElement = document.querySelector('style[' + ssrIdKey + '~="' + obj.id + '"]')

	  if (styleElement) {
	    if (isProduction) {
	      // has SSR styles and in production mode.
	      // simply do nothing.
	      return noop
	    } else {
	      // has SSR styles but in dev mode.
	      // for some reason Chrome can't handle source map in server-rendered
	      // style tags - source maps in <style> only works if the style tag is
	      // created and inserted dynamically. So we remove the server rendered
	      // styles and inject new ones.
	      styleElement.parentNode.removeChild(styleElement)
	    }
	  }

	  if (isOldIE) {
	    // use singleton mode for IE9.
	    var styleIndex = singletonCounter++
	    styleElement = singletonElement || (singletonElement = createStyleElement())
	    update = applyToSingletonTag.bind(null, styleElement, styleIndex, false)
	    remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true)
	  } else {
	    // use multi-style-tag mode in all other cases
	    styleElement = createStyleElement()
	    update = applyToTag.bind(null, styleElement)
	    remove = function () {
	      styleElement.parentNode.removeChild(styleElement)
	    }
	  }

	  update(obj)

	  return function updateStyle (newObj /* StyleObjectPart */) {
	    if (newObj) {
	      if (newObj.css === obj.css &&
	          newObj.media === obj.media &&
	          newObj.sourceMap === obj.sourceMap) {
	        return
	      }
	      update(obj = newObj)
	    } else {
	      remove()
	    }
	  }
	}

	var replaceText = (function () {
	  var textStore = []

	  return function (index, replacement) {
	    textStore[index] = replacement
	    return textStore.filter(Boolean).join('\n')
	  }
	})()

	function applyToSingletonTag (styleElement, index, remove, obj) {
	  var css = remove ? '' : obj.css

	  if (styleElement.styleSheet) {
	    styleElement.styleSheet.cssText = replaceText(index, css)
	  } else {
	    var cssNode = document.createTextNode(css)
	    var childNodes = styleElement.childNodes
	    if (childNodes[index]) styleElement.removeChild(childNodes[index])
	    if (childNodes.length) {
	      styleElement.insertBefore(cssNode, childNodes[index])
	    } else {
	      styleElement.appendChild(cssNode)
	    }
	  }
	}

	function applyToTag (styleElement, obj) {
	  var css = obj.css
	  var media = obj.media
	  var sourceMap = obj.sourceMap

	  if (media) {
	    styleElement.setAttribute('media', media)
	  }
	  if (options.ssrId) {
	    styleElement.setAttribute(ssrIdKey, obj.id)
	  }

	  if (sourceMap) {
	    // https://developer.chrome.com/devtools/docs/javascript-debugging
	    // this makes source maps inside style tags work properly in Chrome
	    css += '\n/*# sourceURL=' + sourceMap.sources[0] + ' */'
	    // http://stackoverflow.com/a/26603875
	    css += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + ' */'
	  }

	  if (styleElement.styleSheet) {
	    styleElement.styleSheet.cssText = css
	  } else {
	    while (styleElement.firstChild) {
	      styleElement.removeChild(styleElement.firstChild)
	    }
	    styleElement.appendChild(document.createTextNode(css))
	  }
	}


/***/ }),

/***/ 12:
/***/ (function(module, exports) {

	/**
	 * Translates the list format produced by css-loader into something
	 * easier to manipulate.
	 */
	module.exports = function listToStyles (parentId, list) {
	  var styles = []
	  var newStyles = {}
	  for (var i = 0; i < list.length; i++) {
	    var item = list[i]
	    var id = item[0]
	    var css = item[1]
	    var media = item[2]
	    var sourceMap = item[3]
	    var part = {
	      id: parentId + ':' + i,
	      css: css,
	      media: media,
	      sourceMap: sourceMap
	    }
	    if (!newStyles[id]) {
	      styles.push(newStyles[id] = { id: id, parts: [part] })
	    } else {
	      newStyles[id].parts.push(part)
	    }
	  }
	  return styles
	}


/***/ }),

/***/ 315:
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _ifbpDynamicPanel = __webpack_require__(316);

	var _ifbpDynamicPanel2 = _interopRequireDefault(_ifbpDynamicPanel);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	_ifbpDynamicPanel2.default.install = function (Vue) {
	  Vue.component(_ifbpDynamicPanel2.default.name, _ifbpDynamicPanel2.default);
	};

	exports.default = _ifbpDynamicPanel2.default;

/***/ }),

/***/ 316:
/***/ (function(module, exports, __webpack_require__) {

	function injectStyle (ssrContext) {
	  __webpack_require__(317)
	}
	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(319),
	  /* template */
	  __webpack_require__(321),
	  /* styles */
	  injectStyle,
	  /* scopeId */
	  null,
	  /* moduleIdentifier (server only) */
	  null
	)

	module.exports = Component.exports


/***/ }),

/***/ 317:
/***/ (function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag

	// load the styles
	var content = __webpack_require__(318);
	if(typeof content === 'string') content = [[module.id, content, '']];
	if(content.locals) module.exports = content.locals;
	// add the styles to the DOM
	var update = __webpack_require__(11)("2807fe06", content, true, {});

/***/ }),

/***/ 318:
/***/ (function(module, exports, __webpack_require__) {

	exports = module.exports = __webpack_require__(10)();
	// imports


	// module
	exports.push([module.id, "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", ""]);

	// exports


/***/ }),

/***/ 319:
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _discard = __webpack_require__(320);

	var _discard2 = _interopRequireDefault(_discard);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	exports.default = {
	  name: 'IfbpDynamicPanel',
	  mixins: [_discard2.default],
	  data: function data() {
	    var vm = this;
	    return {
	      pageParentId: '',
	      pageBusicode: '',
	      pageCode: '',
	      dynamicResData: [],
	      dynamicPageData: [], // 页面定制中获取的json对象
	      childIcons: [{
	        icon: 'plus',
	        title: '新增',
	        click: function click(e) {
	          var parentDom = e.currentTarget.parentNode.parentNode.parentNode;
	          if (parentDom) {
	            var index = parentDom.getAttribute('data-index');
	            var code = parentDom.getAttribute('data-code');
	          } else {
	            return;
	          }

	          // dynamicPageData 为页面定制的数据
	          if (!vm.pageParentId && vm.dynamicPageData.length > 0 || vm.dynamicPageData.length < 1 && !vm.parentId) {
	            vm.$message({
	              message: '请先保存主表信息',
	              type: 'error'
	            });
	          } else {
	            for (var i = 0; i < vm.dynamicResData.length; i++) {
	              if (vm.dynamicResData[i].code === code) {
	                vm.$set(vm.dynamicResData[i], "dynamicEditable", true);
	              }
	            }
	            vm.$refs['dynamic_' + code][0].getTableComp().closeExpandRow();
	            // 重置新增数据
	            vm.$refs['dynamic_' + code][0].resetFormData();
	            // 显示新增区域
	            vm.$refs['dynamic_' + code][0].formShow = true;
	            vm.$forceUpdate();
	            vm.$emit('plus-icon-click', code);
	          }
	        }
	      }],
	      dynamicData: {},
	      childBaseData: {},
	      childDelData: {},
	      childDelDialogVisible: false,
	      pkClass: {},
	      tableOrForm: {},
	      typicalDemoChildResetFun: function typicalDemoChildResetFun($node) {
	        var $table = this.getTableDom($node);
	        var $operateHtml = this.getBaseTableOperateHtml();
	        $table.append($operateHtml);
	        return $node[0].outerHTML;
	      }
	    };
	  },

	  props: {
	    busiCode: {
	      type: String
	    },
	    dynamicCode: {
	      type: String
	    },
	    dynamicPanelData: {
	      default: function _default() {
	        return [];
	      }
	    },
	    isCreate: {
	      type: Boolean,
	      default: true
	    },
	    parentId: {
	      type: String
	    },
	    defaultCrud: {
	      default: true
	    },
	    parentPkClass: {
	      type: String
	    },
	    rightIcons: {
	      type: Array
	    },
	    dynamicResetFuns: {
	      type: Array
	    },
	    dynamicNoCodeResetFuns: {
	      type: Function
	    },
	    tableOperVif: {
	      type: Array
	    },
	    confirmClearEdit: {
	      type: Array
	    },
	    noCodeConfirmClearEdit: {
	      type: Boolean
	    },
	    dynamicTplData: {
	      type: Array
	    },
	    leftContent: {
	      type: Array
	    },
	    dynamicReadonly: {
	      // 页面代码中通过此属性控制只读，页面定制设置的只读为readonly，页面定制中设置的优先级高
	      type: Array
	    },
	    dynamicEditable: {
	      type: Array
	    }

	  },
	  watch: {
	    tableOperVif: {
	      deep: true,
	      handler: function handler(val) {
	        resetResDataByAttr(val, "tableOperVif", "tableOperVif");
	      }
	    },
	    confirmClearEdit: {
	      deep: true,
	      handler: function handler(val) {
	        resetResDataByAttr(val, "confirmClearEdit", "confirmClearEdit");
	      }
	    },
	    noCodeConfirmClearEdit: {
	      deep: true,
	      handler: function handler(val) {
	        noCodeResetResDataByAttr(val, "confirmClearEdit");
	      }
	    },
	    rightIcons: {
	      deep: true,
	      handler: function handler(val) {
	        resetResDataByAttr(val, "rightIcons", "icons");
	      }
	    },
	    dynamicEditable: {
	      deep: true,
	      handler: function handler(val) {
	        resetResDataByAttr(val, "dynamicEditable", "dynamicEditable");
	      }
	    },
	    dynamicReadonly: {
	      deep: true,
	      handler: function handler(val) {
	        resetResDataByAttr(val, "dynamicReadonly", "dynamicReadonly");
	      }
	    },
	    leftContent: {
	      deep: true,
	      handler: function handler(val) {
	        var $ifbpDom;
	        if (val && val.length > 0) {
	          for (var i = 0; i < val.length; i++) {
	            $ifbpDom = $("#dynamicIfbpPanel" + val[i].code);
	            if ($ifbpDom) {
	              $ifbpDom.children().children().find(".ifbp-add").next().remove();
	              $ifbpDom.children().children().find(".ifbp-add").after(this.leftContent[i].dom);
	            }
	          }
	        }
	      }
	    }
	  },

	  methods: {
	    /** 组件内部方法 begin */
	    resetResDataByAttr: function resetResDataByAttr(val, attr, valAttr) {
	      if (this.dynamicResData && this.dynamicResData.length > 0) {
	        if (val && val.length > 0) {
	          for (var i = 0; i < val.length; i++) {
	            for (var j = 0; j < this.dynamicResData.length; j++) {
	              if (val[i].code === this.dynamicResData[j].code) {
	                this.$set(this.dynamicResData[j], attr, val[i][valAttr]);
	              }
	            }
	          }
	        }
	      }
	    },
	    noCodeResetResDataByAttr: function noCodeResetResDataByAttr(val, valAttr) {
	      for (var i = 0; i < this.dynamicResData.length; i++) {
	        this.$set(this.dynamicResData[i], valAttr, val);
	      }
	    },

	    // 根据传入值来重置data
	    resetDynamic: function resetDynamic() {
	      this.resetResDataByAttr(this.tableOperVif, "tableOperVif", "tableOperVif");
	      this.resetResDataByAttr(this.confirmClearEdit, "confirmClearEdit", "confirmClearEdit");
	      this.resetResDataByAttr(this.rightIcons, "rightIcons", "icons");
	      this.resetResDataByAttr(this.dynamicEditable, "dynamicEditable", "dynamicEditable");
	      this.resetResDataByAttr(this.dynamicTplData, "tplData", "tplData");
	      this.resetResDataByAttr(this.dynamicReadonly, "dynamicReadonly", "dynamicReadonly");
	      this.resetResDataByAttr(this.dynamicResetFuns, "dynamicResetFuns", "resetFun");

	      // 根据nocode 属性重置data
	      if (this.dynamicNoCodeResetFuns) {
	        for (var i = 0; i < this.dynamicResData.length; i++) {
	          this.dynamicResData[i].dynamicResetFuns = this.dynamicNoCodeResetFuns;
	        }
	      }
	      if (typeof this.noCodeConfirmClearEdit != 'undefined') {
	        this.noCodeResetResDataByAttr(this.noCodeConfirmClearEdit, "confirmClearEdit");
	      }
	      // 根据页面定制中的类型来重置showType
	      for (var i = 0; i < this.dynamicResData.length; i++) {
	        this.dynamicResData[i].editable = false;
	        if (this.dynamicResData[i].style === "参照") {
	          this.dynamicResData[i].showType = "form";
	        } else {
	          this.dynamicResData[i].showType = "table-form";
	        }
	      }
	    },

	    // 此方法用于获取dynamicResData ，获取之后需要调用resetDynamic 来重置属性
	    getDynamic: function getDynamic() {
	      var _this = this;

	      // data的优先级 页面定制 >> 传入的值 >> 平台默认的
	      // 处理页面定制中获取到的配置信息
	      if (this.dynamicPageData.length > 0) {
	        this.dynamicResData = this.dynamicPageData;
	        this.resetDynamic();
	      } else {
	        if (this.dynamicPanelData.length > 0) {
	          this.dynamicResData = this.dynamicPanelData;
	          this.resetDynamic();
	        } else {
	          var data;
	          if (this.busiCode) {
	            data = { "busicode": this.busiCode, "code": this.dynamicCode };
	          } else {
	            data = { "code": this.dynamicCode };
	          }
	          this.$http({
	            url: '/ifbp-app-sm-infoset-web/page_layout_child/getByCode',
	            method: 'post',
	            data: data,
	            dataType: 'json'
	          }).then(function (res) {
	            if (res.data.success === true) {
	              _this.$nextTick(function () {
	                _this.dynamicResData = res.data.data;
	                _this.resetDynamic();
	              });
	            } else {
	              _this.$message({
	                message: res.data.msg,
	                type: 'error'
	              });
	            }
	          }).catch(function (e) {
	            _this.$message({
	              message: '子表信息获取失败',
	              type: 'error'
	            });
	            _this.$logger.error(e);
	          });
	        }
	      }
	    },
	    expand: function expand(item, index, row, expanded) {
	      this.$emit('expand', item, index, row, expanded);
	    },
	    updateEditable: function updateEditable(item, index, editable) {
	      this.$emit("update:editable", item, index, editable);
	    },
	    childChange: function childChange(item, field, value) {
	      this.$emit('change', item, field, value);
	    },

	    // UI模板渲染完成之后调用
	    DynamicAfterCreate: function DynamicAfterCreate(UIComp, index) {
	      // 获取所有的pkClass
	      this.pkClass[index] = UIComp.getPkClass();
	      this.dynamicRequest(index);
	      // 刷新ifbp-panel 左侧内容区的内容
	      if (this.leftContent && this.leftContent.length > 0) {
	        var $ifbpDom;
	        for (var i = 0; i < this.leftContent.length; i++) {
	          $ifbpDom = $("#dynamicIfbpPanel" + this.leftContent[i].code);
	          if ($ifbpDom) {
	            if ($ifbpDom.children().children().find(".ifbp-panel-i").length > 0) {
	              $ifbpDom.children().children().find(".ifbp-panel-i").last().next().remove();
	            } else {
	              $ifbpDom.children().children().find(".title-sub").next().remove();
	            }
	            $ifbpDom.children().children()[0].append(this.leftContent[i].dom);
	          }
	        }
	      }
	    },
	    childTableClick: function childTableClick(item, index, icon, scope) {
	      this.$emit('table-click', item, index, icon, scope);
	    },

	    // 行编辑事件
	    childEditClick: function childEditClick(item, index, scope) {
	      this.$refs['dynamic_' + item.code][0].expandRow(scope.row, scope.$index);
	      this.dynamicResData[index].dynamicEditable = true;
	      this.$emit("editTableClick", item, index, scope);
	      this.$emit("edit-table-click", item, index, scope);
	    },

	    // 行删除事件
	    childDeleteClick: function childDeleteClick(item, index, scope) {
	      // 暂时没有设置成true的情况
	      if (this.defaultCrud === 'true' || this.defaultCrud === true) {
	        this.childDelDialogVisible = true;
	        this.childDelData = scope.row;
	        this.childIndex = index;
	      }
	      this.$emit('tableDelete', item, scope);
	      this.$emit("delete-table-click", item, scope);
	    },


	    // 展开区的编辑按钮
	    formEditClick: function formEditClick(item, index, type, row) {
	      this.$emit('form-edit-click', item, index, type, row);
	    },

	    // 展开去的保存按钮
	    childFormConfirm: function childFormConfirm(item, index, type) {
	      var _this2 = this;

	      var vm = this;
	      var url = this.dynamicResData[index].updateURL;
	      this.$refs['dynamic_' + item.code][0].validate(function (valid) {
	        if (valid) {

	          if (vm.defaultCrud === "true" || vm.defaultCrud === true) {
	            var data = {
	              "baseEntity": {
	                "beanMap": {
	                  "pk_parent_common": dId
	                },
	                "metaDefinedName": data2.metaDefinedName,
	                "namespace": data2.namespace,
	                "status": data2.status,
	                "changedPropertyNames": data2.changedPropertyNames
	              },
	              "pkClass": vm.pkClass[index]
	            };
	            var data2 = vm.$refs['dynamic_' + item.code][0].getFormData();
	            var dId;
	            if (_this2.dynamicPageData.length > 0) {
	              dId = vm.pageParentId;
	            } else {
	              dId = vm.parentId;
	            }

	            // delete data2.beanMap;
	            for (var key in data2) {
	              if (!(key === "metaDefinedName" || key === 'namespace' || key === 'status' || key === 'changedPropertyNames' || key === 'beanMap')) {
	                data.baseEntity.beanMap[key] = data2[key];
	              }
	            }
	            if (type === 'form') {
	              url = _this2.dynamicResData[index].saveURL;
	            }
	            vm.$http({
	              url: url,
	              method: 'post',
	              data: data,
	              headers: {
	                'Content-Type': 'application/json'
	              },
	              dataType: 'application/json'
	            }).then(function (res) {
	              if (res.data.success) {
	                vm.$message({
	                  message: '保存成功'
	                });
	                vm.$refs['dynamic_' + item.code][0].tableShow = true;
	                // 隐藏新增区域
	                vm.$refs['dynamic_' + item.code][0].formShow = false;
	                // 关闭Table中的编辑区域
	                vm.$refs['dynamic_' + item.code][0].getTableComp().closeExpandRow();
	                if (type === 'form') {
	                  vm.dynamicRequest(index);
	                }
	              } else {
	                vm.$message({
	                  message: res.data.error.errorMessage,
	                  type: 'error'
	                });
	              }
	            }).catch(function () {
	              vm.$message({
	                message: '保存失败',
	                type: 'error'
	              });
	            });
	          } else {}
	        } else {
	          vm.$message('校验未通过');
	        }
	      }, type);
	      this.$emit('formConfirm', item, type);
	      this.$emit('form-confirm-click', item, type);
	    },
	    childFormCancel: function childFormCancel(item, index, type) {
	      this.$emit('formCancel', item, type);
	      this.$emit('form-cancel-click', item, type);
	    },
	    childFormDelete: function childFormDelete(item, index, type) {
	      this.$emit('formDelete', item, type);
	      this.$emit('form-delete-click', item, type);
	    },

	    /** 组件内部方法 end */

	    /** 提供的api方法 begin */
	    setItemAttrBycode: function setItemAttrBycode(code, attr, attrValue) {
	      if (this.dynamicResData && this.dynamicResData.length > 0) {
	        for (var i = 0; i < this.dynamicResData.length; i++) {
	          if (code === this.dynamicResData[i].code) {
	            this.$set(this.dynamicResData[i], attr, attrValue);
	          }
	        }
	      }
	    },
	    setItemAttrNoCode: function setItemAttrNoCode(attr, attrValue) {
	      if (this.dynamicResData && this.dynamicResData.length > 0) {
	        for (var i = 0; i < this.dynamicResData.length; i++) {
	          // if(code === this.dynamicResData[i].code) {
	          this.$set(this.dynamicResData[i], attr, attrValue);
	          // }u
	        }
	      }
	    },

	    /**
	     *返回所有数据
	     */
	    getAllData: function getAllData() {
	      var datas = {};
	      if (this.dynamicResData && this.dynamicResData.length > 0) {
	        for (var i = 0; i < this.dynamicResData.length; i++) {
	          var code = this.dynamicResData[i].code;
	          if (this.$refs['dynamic_' + code][0]) {
	            var uitemplate = this.$refs['dynamic_' + code][0];
	            datas[code] = uitemplate.getTableData() || uitemplate.getFormData();
	          }
	        }
	      }
	      return datas;
	    },

	    // 获取所有的code
	    getAllTableCode: function getAllTableCode() {
	      var dataCode = [];
	      if (this.dynamicResData && this.dynamicResData.length > 0) {
	        for (var i = 0; i < this.dynamicResData.length; i++) {
	          dataCode.push(this.dynamicResData[i].code);
	        }
	      }
	      return dataCode;
	    },


	    /**
	     *设置数据
	     */
	    setFormDataByCode: function setFormDataByCode(code, data) {
	      if (this.$refs['dynamic_' + code][0]) {
	        var uitemplate = this.$refs['dynamic_' + code][0];
	        uitemplate.setFormData(data);
	      }
	    },
	    setTableDataByCode: function setTableDataByCode(code, data) {
	      if (data.length > 0) {
	        this.$refs['dynamic_' + code][0].tableShow = true;
	      } else {
	        this.$refs['dynamic_' + code][0].tableShow = false;
	      }
	      var uitemplate = this.$refs['dynamic_' + code][0];
	      uitemplate.setTableData(data);
	    },
	    getFormDataByCode: function getFormDataByCode(code) {
	      if (this.$refs['dynamic_' + code][0]) {
	        var formData = this.$refs['dynamic_' + code][0].getFormData();
	        return formData;
	      }
	    },
	    getTableDataByCode: function getTableDataByCode(code) {
	      if (this.$refs['dynamic_' + code][0]) {
	        var formData = this.$refs['dynamic_' + code][0].getTableData();
	        return formData;
	      }
	    },

	    /**
	     *获取数据
	     */
	    getDataByCode: function getDataByCode(code) {
	      if (this.$refs['dynamic_' + code][0]) {
	        var uitemplate = this.$refs['dynamic_' + code][0];
	        var data = uitemplate.getTableData() || uitemplate.getFormData();
	        return data;
	      }
	    },
	    getTemplateByCode: function getTemplateByCode(code) {
	      if (this.$refs['dynamic_' + code][0]) {
	        return this.$refs['dynamic_' + code][0];
	      }
	    }
	  },

	  created: function created() {
	    var oThis = this;
	    if (!this._hasGetPageModel && this.$pageMgr) {
	      this.$pageMgr.getPageModel(this, function (pageModel) {
	        if (pageModel) {
	          var dynamic = pageModel.getDynamic();
	          oThis.dynamicPageData = dynamic;
	          if (dynamic.length > 0) {
	            oThis.pageParentId = pageModel.pageConfig.pk;
	            oThis.pageBusicode = pageModel.options.busicode;
	            oThis.pageCode = pageModel.options.code;
	          }
	        }
	        oThis.getDynamic();
	        oThis._hasGetPageModel = true;
	        this.$emit('after-create');
	      });
	    } else {
	      oThis.getDynamic();
	      this.$emit('after-create');
	    }

	    if (!this.busiCode && this.$router && this.$router.currentRoute && this.$router.currentRoute.query.funcode) {
	      this.busiCode = this.$router.currentRoute.query.funcode;
	    }
	  }
	}; //
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//

/***/ }),

/***/ 320:
/***/ (function(module, exports) {

	'use strict';

	exports.__esModule = true;
	exports.default = {
	  methods: {
	    dynamicRequest: function dynamicRequest(index) {
	      var _this = this;

	      if (this.defaultCrud !== true) return;
	      if (this.dynamicPageData.length > 0) {
	        if (!this.pageParentId) {
	          this.$nextTick(function () {
	            for (var item in _this.$refs) {
	              if (item.indexOf('dynamic') > -1) {
	                _this.$refs[item][0].tableShow = false;
	              }
	            }
	          });
	          return;
	        }
	      } else {
	        if (!this.parentId) {
	          this.$nextTick(function () {
	            for (var item in _this.$refs) {
	              if (item.indexOf('dynamic') > -1) {
	                _this.$refs[item][0].tableShow = false;
	              }
	            }
	          });
	          return;
	        }
	      }

	      var url;
	      // for (let i = 0; i < this.dynamicResData.length; i++) {
	      var resData = void 0;
	      var pzglId = '';
	      if (this.dynamicPageData.length > 0) {
	        pzglId = this.pageParentId;
	      } else {
	        pzglId = this.parentId;
	      }
	      var data = {
	        pkClass: this.pkClass[index] || "",
	        searchParams: {
	          searchMap: {
	            pk_parent_common: pzglId
	          }
	        }
	      };
	      var code = this.dynamicResData[index].code;
	      this.$http({
	        url: this.dynamicResData[index].queryURL,
	        method: 'post',
	        data: data,
	        dataType: 'json'
	      }).then(function (res) {
	        if (res.data.success === true) {
	          resData = res.data.data.content;
	          _this.$nextTick(function () {
	            if (_this.$refs['dynamic_' + code][0]) {
	              _this.$refs['dynamic_' + code][0].setTableData(resData);
	            } else {
	              _this.$refs['dynamic_' + code][0].$set(_this.dynamicData[_this.dynamicResData[index].code], 'uitemplateTableData', resData);
	            }
	            if (resData.length < 1) {
	              _this.$refs['dynamic_' + code][0].tableShow = false;
	            } else {
	              _this.$refs['dynamic_' + code][0].tableShow = true;
	            }
	            // this.$refs['dynamic' + i][0].tableShow = resData.length < 1 ? false : true;
	          });
	        } else {
	          _this.$message({
	            message: res.data.msg,
	            type: 'error'
	          });
	        }
	      }).catch(function (e) {
	        _this.$message({
	          message: '子表信息获取失败',
	          type: 'error'
	        });
	      });
	    },
	    childDeleteDialogClick: function childDeleteDialogClick() {
	      var _this2 = this;

	      var data1 = this.childDelData;
	      var data;
	      var dId;
	      if (this.dynamicPageData.length > 0) {
	        dId = this.pageParentId;
	      } else {
	        dId = this.parentId;
	      }
	      data = {
	        "baseEntity": {
	          "beanMap": {
	            "pk_example": dId
	          },
	          "metaDefinedName": data1.metaDefinedName,
	          "namespace": data1.namespace,
	          "status": data1.status,
	          "changedPropertyNames": data1.changedPropertyNames
	        },
	        "pkClass": this.pkClass[this.childIndex]
	      };

	      for (var key in data1) {
	        if (!(key === "metaDefinedName" || key === 'namespace' || key === 'status' || key === 'changedPropertyNames' || key === 'beanMap')) {
	          data.baseEntity.beanMap[key] = data1[key];
	        }
	      }
	      var url = this.dynamicResData[this.childIndex].deleteURL;
	      if (this.defaultCrud === "true" || this.defaultCrud === true) {
	        this.$http({
	          url: url,
	          method: 'post',
	          data: data,
	          headers: {
	            'Content-Type': 'application/json'
	          },
	          dataType: 'application/json'
	        }).then(function (res) {
	          _this2.$emit('requestDynamic', res.data);
	          if (res.data.success === true) {
	            _this2.$message({
	              message: '删除成功',
	              type: 'success'
	            });
	            _this2.childDelDialogVisible = false;
	            _this2.dynamicRequest(_this2.childIndex);
	          } else {
	            _this2.$message({
	              message: res.data.error.errorMessage,
	              type: 'error'
	            });
	          }
	        }).catch(function () {
	          _this2.$message({
	            message: '删除失败',
	            type: 'error'
	          });
	        });
	      }
	    }
	  }
	};

/***/ }),

/***/ 321:
/***/ (function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c('div', _vm._l((_vm.dynamicResData), function(item, index) {
	    return _c('ifbp-panel', {
	      staticClass: "dynamicMain",
	      attrs: {
	        "id": 'dynamicIfbpPanel' + item.code,
	        "title": item.displayname,
	        "icons": (item.readonly === true || item.dynamicReadonly === true) ? [] : _vm.childIcons,
	        "data-index": index,
	        "data-code": item.code,
	        "rightIcons": item.rightIcons
	      }
	    }, [_c('ifbp-template', {
	      ref: 'dynamic_' + item.code,
	      refInFor: true,
	      attrs: {
	        "tplId": 'dynamic_' + item.code,
	        "funnode": item.funnode,
	        "nexuskey": item.nexuskey,
	        "pk-temp": item.pk_template,
	        "show-type": item.showType,
	        "table-oper-vif": item.tableOperVif,
	        "delete-button-show": item.deleteButtonShow,
	        "cancel-button-show": item.cancelButtonShow,
	        "editable": item.dynamicEditable,
	        "readonly": (item.readonly === true || item.dynamicReadonly === true) ? true : false,
	        "tpl-data": item.tplData || _vm.dynamicData[item.code],
	        "tpl-reset-fun": item.dynamicResetFuns || _vm.typicalDemoChildResetFun,
	        "confirm-clear-edit": item.confirmClearEdit
	      },
	      on: {
	        "update:editable": function (val) {
	          item.dynamicEditable = val;
	          _vm.$forceUpdate();
	          _vm.updateEditable(item, index, val)
	        },
	        "change": function(filed, value) {
	          _vm.childChange(item, filed, value)
	        },
	        "expand": function(row, expanded) {
	          item.tableOperVif = !expanded;
	          _vm.expand(item, index, row, expanded)
	        },
	        "after-create": function(comp) {
	          _vm.DynamicAfterCreate(comp, index)
	        },
	        "form-edit-click": function(type, row) {
	          _vm.formEditClick(item, index, type, row)
	        },
	        "table-click": function(icon, scope) {
	          _vm.childTableClick(item, index, icon, scope)
	        },
	        "edit-table-click": function(scope) {
	          _vm.childEditClick(item, index, scope)
	        },
	        "delete-table-click": function(scope) {
	          _vm.childDeleteClick(item, index, scope)
	        },
	        "form-confirm-click": function(type) {
	          _vm.childFormConfirm(item, index, type)
	        },
	        "form-cancel-click": function(type) {
	          _vm.childFormCancel(item, index, type)
	        }
	      }
	    }), _c('ifbp-del-dialog', {
	      attrs: {
	        "message": "确认删除该数据？删除后无法恢复。"
	      },
	      on: {
	        "click": _vm.childDeleteDialogClick
	      },
	      model: {
	        value: (_vm.childDelDialogVisible),
	        callback: function($$v) {
	          _vm.childDelDialogVisible = $$v
	        },
	        expression: "childDelDialogVisible"
	      }
	    })], 1)
	  }))
	},staticRenderFns: []}

/***/ })

/******/ });