module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};

/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {

/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;

/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};

/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);

/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;

/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}


/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;

/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;

/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";

/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

	module.exports = __webpack_require__(382);


/***/ }),

/***/ 3:
/***/ (function(module, exports) {

	/* globals __VUE_SSR_CONTEXT__ */

	// this module is a runtime utility for cleaner component module output and will
	// be included in the final webpack user bundle

	module.exports = function normalizeComponent (
	  rawScriptExports,
	  compiledTemplate,
	  injectStyles,
	  scopeId,
	  moduleIdentifier /* server only */
	) {
	  var esModule
	  var scriptExports = rawScriptExports = rawScriptExports || {}

	  // ES6 modules interop
	  var type = typeof rawScriptExports.default
	  if (type === 'object' || type === 'function') {
	    esModule = rawScriptExports
	    scriptExports = rawScriptExports.default
	  }

	  // Vue.extend constructor export interop
	  var options = typeof scriptExports === 'function'
	    ? scriptExports.options
	    : scriptExports

	  // render functions
	  if (compiledTemplate) {
	    options.render = compiledTemplate.render
	    options.staticRenderFns = compiledTemplate.staticRenderFns
	  }

	  // scopedId
	  if (scopeId) {
	    options._scopeId = scopeId
	  }

	  var hook
	  if (moduleIdentifier) { // server build
	    hook = function (context) {
	      // 2.3 injection
	      context =
	        context || // cached call
	        (this.$vnode && this.$vnode.ssrContext) || // stateful
	        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
	      // 2.2 with runInNewContext: true
	      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
	        context = __VUE_SSR_CONTEXT__
	      }
	      // inject component styles
	      if (injectStyles) {
	        injectStyles.call(this, context)
	      }
	      // register component module identifier for async chunk inferrence
	      if (context && context._registeredComponents) {
	        context._registeredComponents.add(moduleIdentifier)
	      }
	    }
	    // used by ssr in case component is cached and beforeCreate
	    // never gets called
	    options._ssrRegister = hook
	  } else if (injectStyles) {
	    hook = injectStyles
	  }

	  if (hook) {
	    var functional = options.functional
	    var existing = functional
	      ? options.render
	      : options.beforeCreate
	    if (!functional) {
	      // inject component registration as beforeCreate hook
	      options.beforeCreate = existing
	        ? [].concat(existing, hook)
	        : [hook]
	    } else {
	      // register for functioal component in vue file
	      options.render = function renderWithStyleInjection (h, context) {
	        hook.call(context)
	        return existing(h, context)
	      }
	    }
	  }

	  return {
	    esModule: esModule,
	    exports: scriptExports,
	    options: options
	  }
	}


/***/ }),

/***/ 10:
/***/ (function(module, exports) {

	/*
		MIT License http://www.opensource.org/licenses/mit-license.php
		Author Tobias Koppers @sokra
	*/
	// css base code, injected by the css-loader
	module.exports = function() {
		var list = [];

		// return the list of modules as css string
		list.toString = function toString() {
			var result = [];
			for(var i = 0; i < this.length; i++) {
				var item = this[i];
				if(item[2]) {
					result.push("@media " + item[2] + "{" + item[1] + "}");
				} else {
					result.push(item[1]);
				}
			}
			return result.join("");
		};

		// import a list of modules into the list
		list.i = function(modules, mediaQuery) {
			if(typeof modules === "string")
				modules = [[null, modules, ""]];
			var alreadyImportedModules = {};
			for(var i = 0; i < this.length; i++) {
				var id = this[i][0];
				if(typeof id === "number")
					alreadyImportedModules[id] = true;
			}
			for(i = 0; i < modules.length; i++) {
				var item = modules[i];
				// skip already imported module
				// this implementation is not 100% perfect for weird media query combinations
				//  when a module is imported multiple times with different media queries.
				//  I hope this will never occur (Hey this way we have smaller bundles)
				if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
					if(mediaQuery && !item[2]) {
						item[2] = mediaQuery;
					} else if(mediaQuery) {
						item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
					}
					list.push(item);
				}
			}
		};
		return list;
	};


/***/ }),

/***/ 11:
/***/ (function(module, exports, __webpack_require__) {

	/*
	  MIT License http://www.opensource.org/licenses/mit-license.php
	  Author Tobias Koppers @sokra
	  Modified by Evan You @yyx990803
	*/

	var hasDocument = typeof document !== 'undefined'

	if (false) {
	  if (!hasDocument) {
	    throw new Error(
	    'vue-style-loader cannot be used in a non-browser environment. ' +
	    "Use { target: 'node' } in your Webpack config to indicate a server-rendering environment."
	  ) }
	}

	var listToStyles = __webpack_require__(12)

	/*
	type StyleObject = {
	  id: number;
	  parts: Array<StyleObjectPart>
	}

	type StyleObjectPart = {
	  css: string;
	  media: string;
	  sourceMap: ?string
	}
	*/

	var stylesInDom = {/*
	  [id: number]: {
	    id: number,
	    refs: number,
	    parts: Array<(obj?: StyleObjectPart) => void>
	  }
	*/}

	var head = hasDocument && (document.head || document.getElementsByTagName('head')[0])
	var singletonElement = null
	var singletonCounter = 0
	var isProduction = false
	var noop = function () {}
	var options = null
	var ssrIdKey = 'data-vue-ssr-id'

	// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
	// tags it will allow on a page
	var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\b/.test(navigator.userAgent.toLowerCase())

	module.exports = function (parentId, list, _isProduction, _options) {
	  isProduction = _isProduction

	  options = _options || {}

	  var styles = listToStyles(parentId, list)
	  addStylesToDom(styles)

	  return function update (newList) {
	    var mayRemove = []
	    for (var i = 0; i < styles.length; i++) {
	      var item = styles[i]
	      var domStyle = stylesInDom[item.id]
	      domStyle.refs--
	      mayRemove.push(domStyle)
	    }
	    if (newList) {
	      styles = listToStyles(parentId, newList)
	      addStylesToDom(styles)
	    } else {
	      styles = []
	    }
	    for (var i = 0; i < mayRemove.length; i++) {
	      var domStyle = mayRemove[i]
	      if (domStyle.refs === 0) {
	        for (var j = 0; j < domStyle.parts.length; j++) {
	          domStyle.parts[j]()
	        }
	        delete stylesInDom[domStyle.id]
	      }
	    }
	  }
	}

	function addStylesToDom (styles /* Array<StyleObject> */) {
	  for (var i = 0; i < styles.length; i++) {
	    var item = styles[i]
	    var domStyle = stylesInDom[item.id]
	    if (domStyle) {
	      domStyle.refs++
	      for (var j = 0; j < domStyle.parts.length; j++) {
	        domStyle.parts[j](item.parts[j])
	      }
	      for (; j < item.parts.length; j++) {
	        domStyle.parts.push(addStyle(item.parts[j]))
	      }
	      if (domStyle.parts.length > item.parts.length) {
	        domStyle.parts.length = item.parts.length
	      }
	    } else {
	      var parts = []
	      for (var j = 0; j < item.parts.length; j++) {
	        parts.push(addStyle(item.parts[j]))
	      }
	      stylesInDom[item.id] = { id: item.id, refs: 1, parts: parts }
	    }
	  }
	}

	function createStyleElement () {
	  var styleElement = document.createElement('style')
	  styleElement.type = 'text/css'
	  head.appendChild(styleElement)
	  return styleElement
	}

	function addStyle (obj /* StyleObjectPart */) {
	  var update, remove
	  var styleElement = document.querySelector('style[' + ssrIdKey + '~="' + obj.id + '"]')

	  if (styleElement) {
	    if (isProduction) {
	      // has SSR styles and in production mode.
	      // simply do nothing.
	      return noop
	    } else {
	      // has SSR styles but in dev mode.
	      // for some reason Chrome can't handle source map in server-rendered
	      // style tags - source maps in <style> only works if the style tag is
	      // created and inserted dynamically. So we remove the server rendered
	      // styles and inject new ones.
	      styleElement.parentNode.removeChild(styleElement)
	    }
	  }

	  if (isOldIE) {
	    // use singleton mode for IE9.
	    var styleIndex = singletonCounter++
	    styleElement = singletonElement || (singletonElement = createStyleElement())
	    update = applyToSingletonTag.bind(null, styleElement, styleIndex, false)
	    remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true)
	  } else {
	    // use multi-style-tag mode in all other cases
	    styleElement = createStyleElement()
	    update = applyToTag.bind(null, styleElement)
	    remove = function () {
	      styleElement.parentNode.removeChild(styleElement)
	    }
	  }

	  update(obj)

	  return function updateStyle (newObj /* StyleObjectPart */) {
	    if (newObj) {
	      if (newObj.css === obj.css &&
	          newObj.media === obj.media &&
	          newObj.sourceMap === obj.sourceMap) {
	        return
	      }
	      update(obj = newObj)
	    } else {
	      remove()
	    }
	  }
	}

	var replaceText = (function () {
	  var textStore = []

	  return function (index, replacement) {
	    textStore[index] = replacement
	    return textStore.filter(Boolean).join('\n')
	  }
	})()

	function applyToSingletonTag (styleElement, index, remove, obj) {
	  var css = remove ? '' : obj.css

	  if (styleElement.styleSheet) {
	    styleElement.styleSheet.cssText = replaceText(index, css)
	  } else {
	    var cssNode = document.createTextNode(css)
	    var childNodes = styleElement.childNodes
	    if (childNodes[index]) styleElement.removeChild(childNodes[index])
	    if (childNodes.length) {
	      styleElement.insertBefore(cssNode, childNodes[index])
	    } else {
	      styleElement.appendChild(cssNode)
	    }
	  }
	}

	function applyToTag (styleElement, obj) {
	  var css = obj.css
	  var media = obj.media
	  var sourceMap = obj.sourceMap

	  if (media) {
	    styleElement.setAttribute('media', media)
	  }
	  if (options.ssrId) {
	    styleElement.setAttribute(ssrIdKey, obj.id)
	  }

	  if (sourceMap) {
	    // https://developer.chrome.com/devtools/docs/javascript-debugging
	    // this makes source maps inside style tags work properly in Chrome
	    css += '\n/*# sourceURL=' + sourceMap.sources[0] + ' */'
	    // http://stackoverflow.com/a/26603875
	    css += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + ' */'
	  }

	  if (styleElement.styleSheet) {
	    styleElement.styleSheet.cssText = css
	  } else {
	    while (styleElement.firstChild) {
	      styleElement.removeChild(styleElement.firstChild)
	    }
	    styleElement.appendChild(document.createTextNode(css))
	  }
	}


/***/ }),

/***/ 12:
/***/ (function(module, exports) {

	/**
	 * Translates the list format produced by css-loader into something
	 * easier to manipulate.
	 */
	module.exports = function listToStyles (parentId, list) {
	  var styles = []
	  var newStyles = {}
	  for (var i = 0; i < list.length; i++) {
	    var item = list[i]
	    var id = item[0]
	    var css = item[1]
	    var media = item[2]
	    var sourceMap = item[3]
	    var part = {
	      id: parentId + ':' + i,
	      css: css,
	      media: media,
	      sourceMap: sourceMap
	    }
	    if (!newStyles[id]) {
	      styles.push(newStyles[id] = { id: id, parts: [part] })
	    } else {
	      newStyles[id].parts.push(part)
	    }
	  }
	  return styles
	}


/***/ }),

/***/ 20:
/***/ (function(module, exports) {

	module.exports = require("ifbp-element/lib/utils/clickoutside");

/***/ }),

/***/ 24:
/***/ (function(module, exports) {

	module.exports = require("ifbp-element/lib/mixins/emitter");

/***/ }),

/***/ 382:
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _ref = __webpack_require__(383);

	var _ref2 = _interopRequireDefault(_ref);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	/* istanbul ignore next */
	_ref2.default.install = function (Vue) {
	  Vue.component(_ref2.default.name, _ref2.default);
	};

	exports.default = _ref2.default;

/***/ }),

/***/ 383:
/***/ (function(module, exports, __webpack_require__) {

	function injectStyle (ssrContext) {
	  __webpack_require__(384)
	}
	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(386),
	  /* template */
	  __webpack_require__(394),
	  /* styles */
	  injectStyle,
	  /* scopeId */
	  null,
	  /* moduleIdentifier (server only) */
	  null
	)

	module.exports = Component.exports


/***/ }),

/***/ 384:
/***/ (function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag

	// load the styles
	var content = __webpack_require__(385);
	if(typeof content === 'string') content = [[module.id, content, '']];
	if(content.locals) module.exports = content.locals;
	// add the styles to the DOM
	var update = __webpack_require__(11)("60a36a5e", content, true, {});

/***/ }),

/***/ 385:
/***/ (function(module, exports, __webpack_require__) {

	exports = module.exports = __webpack_require__(10)();
	// imports


	// module
	exports.push([module.id, "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n", ""]);

	// exports


/***/ }),

/***/ 386:
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _emitter = __webpack_require__(24);

	var _emitter2 = _interopRequireDefault(_emitter);

	var _refDialog = __webpack_require__(387);

	var _refDialog2 = _interopRequireDefault(_refDialog);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//

	/* eslint-disable */
	exports.default = {
	  name: 'ElRef',
	  data: function data() {
	    return {
	      refData: '',
	      value: '',
	      selected: [],
	      refInfo: '',
	      dialogVisible: false,
	      timeid: false,
	      triggerOnFocus: true,
	      diffLabel: null,
	      treeTableTree: null,
	      totalElementsInitial: 0
	    };
	  },

	  mixins: [_emitter2.default],
	  props: {
	    width: {},
	    field: {
	      default: ''
	    },
	    isMutiSelect: {},
	    refCode: {},
	    templateValue: {},
	    editable: {
	      default: true
	    },
	    disabled: {
	      type: Boolean,
	      default: false
	    },
	    queryParams: {},
	    beforeQuery: {
	      type: Function
	    },
	    customDialog: {},
	    diff: {},
	    diffBeanMap: {},
	    customDialogSize: {
	      type: String,
	      default: 'small'
	    },
	    placeholder: {},
	    dialogTitle: {},
	    dialogShowClose: {
	      type: Boolean,
	      default: false
	    },
	    // 平铺参照
	    isFlatRef: {
	      type: Boolean,
	      default: false
	    },
	    // 非叶子节点是否可以选择(单选树)
	    notLeafSelectable: {
	      type: Boolean,
	      default: false
	    },
	    // 是否显示分页
	    showPagination: {
	      type: Boolean,
	      default: false
	    }
	  },
	  computed: {
	    urlParams: function urlParams() {
	      return this.queryParams ? '&transmitParam=' + encodeURIComponent(JSON.stringify(this.queryParams)) : '';
	    }
	  },
	  watch: {
	    editable: function editable(_editable) {
	      this.dispatch('ElFormItem', 'editableChange', [_editable]);
	    },

	    // 修复监听不到 params 变化 bug
	    queryParams: {
	      handler: function handler(queryParams) {
	        // console.log('query params changed');
	      },

	      deep: true
	    },
	    templateValue: {
	      handler: function handler() {
	        // // console.log(this.templateValue[this.field]);
	        // if (this.templateValue && this.templateValue[this.field]) {
	        //   this.init();
	        // } else {
	        //   this.reset();
	        // }
	        this.handlePropChange();
	      },

	      deep: true
	    },
	    refCode: function refCode() {
	      this.handleRefCodeChange();
	    }
	  },
	  components: {
	    refDialog: _refDialog2.default
	  },
	  methods: {
	    init: function init() {
	      if (!this.editable && this.diff && this.diff.oldValue !== undefined && this.diff.newValue !== undefined) {
	        this.diffLabel = {
	          oldValue: this.formatRefName(this.diff.oldValue, this.diffBeanMap, 'oldValue'),
	          newValue: this.formatRefName(this.diff.newValue, this.diffBeanMap, 'newValue')
	        };
	        return;
	      }
	      var tempValue = this.templateValue[this.field];
	      this.value = '';
	      if (tempValue) {
	        this.value = this.formatRefName(tempValue, this.templateValue.beanMap);
	        if (!this.value) {
	          this.setPK(tempValue);
	        }
	        this.setSelected(tempValue);
	      }
	    },
	    reset: function reset() {
	      // if (!this.disabled) {
	      this.value = '';
	      this.selected = [];
	      this.templateValue[this.field] = '';
	      this.$emit('reset');
	      // }
	    },
	    onSelectData: function onSelectData(data) {
	      var _this = this;

	      this.value = '';
	      var name;
	      if (Object.prototype.toString.call(data) === '[object Array]') {
	        this.selected = data;
	        data.forEach(function (v) {
	          name = v.refname ? v.refname : v.name;
	          _this.value = _this.value + ',' + name;
	        });
	        this.value = this.value.substr(1);
	      } else if (data !== undefined) {
	        this.selected = [data];
	        this.value = data.refname ? data.refname : data.name;
	      } else {
	        this.selected = [];
	      }
	      var temp = '';
	      this.selected.forEach(function (v) {
	        temp = temp + ',' + v.id;
	      });
	      temp = temp.substr(1);
	      this.templateValue[this.field] = temp;
	      var payload = {
	        key: this.field,
	        value: this.selected
	      };

	      this.templateValue.beanMap = this.templateValue.beanMap || {};
	      this.templateValue.beanMap[this.field + '_ref'] = this.templateValue.beanMap[this.field + '_ref'] || {};
	      this.selected.forEach(function (item, index) {
	        _this.templateValue.beanMap[_this.field + '_ref'][item.id] = _this.selected[index];
	      });

	      this.$emit('trigger', 'change', payload);
	      this.$emit('change', payload);
	      this.closeDialog();
	    },
	    showDialog: function showDialog() {
	      // 自定义弹出框时, 不再发送请求
	      if (this.disabled) {
	        return;
	      }
	      if (this.customDialog) {
	        this.dialogVisible = true;
	        return;
	      }
	      this.refData = null;
	      this.treeTableTree = null;
	      if (this.refInfo.refUIType === 'RefGridTree') {
	        this.requestTreeTableTree();
	      } else if (this.refInfo.refUIType === 'RefFlat') {
	        // flat ref
	        this.requestFlatRef();
	      } else {
	        this.request();
	      }
	    },
	    requestTreeTableTree: function requestTreeTableTree() {
	      var _this2 = this;

	      var requestData = {
	        refModelUrl: this.refInfo.refModelUrl
	      };
	      if (this.queryParams && JSON.stringify(this.queryParams) !== '{}') {
	        requestData.transmitParam = JSON.stringify(this.queryParams);
	      }
	      this.$http({
	        url: '/uitemplate_web/iref_ctr/blobRefClassSearch',
	        method: 'post',
	        data: requestData,
	        headers: {
	          'Content-Type': 'application/json'
	        }
	      }).then(function (res) {
	        // let fotmated = this.formatTreeTableTree(res.data.data);
	        if (!res || !res.data || !res.data.data) {
	          return;
	        }
	        _this2.treeTableTree = _this2.getRefData(res.data.data) || [];
	        _this2.dialogVisible = true;
	      });
	    },

	    // 格式化标签显示名
	    formatTreeTableTree: function formatTreeTableTree(dataArr) {
	      dataArr.forEach(function (node) {
	        node.label = node.refcode ? node.refcode + ' ' + node.name : node.name;
	        node.value = node.refpk;
	      });
	      return dataArr;
	    },
	    getSuggestions: function getSuggestions(searchStr, callback) {
	      if (this.beforeQuery) {
	        var result = this.beforeQuery.call(this);
	        if (!result) {
	          callback([]);
	          return;
	        }
	      }
	      var tmp = function () {
	        this.querySearch(searchStr, callback);
	        this.timeid = false;
	      }.bind(this);
	      if (!this.timeid) {
	        this.timeid = setTimeout(tmp, 300);
	      } else {
	        clearTimeout(this.timeid);
	        this.timeid = setTimeout(tmp, 300);
	      }
	    },
	    querySearch: function querySearch(searchStr, callback) {
	      var queryParamsStr = this.urlParams;
	      // console.log('this.urlParams', this.urlParams);
	      var requestData = {
	        content: searchStr,
	        refModelUrl: this.refInfo.refModelUrl
	      };
	      if (this.queryParams && JSON.stringify(this.queryParams) !== '{}') {
	        requestData.transmitParam = JSON.stringify(this.queryParams);
	      }
	      if (this.templateValue && this.templateValue['base_doc_type']) {
	        requestData.condition = this.templateValue['base_doc_type'];
	      }
	      this.$http({
	        url: '/uitemplate_web/iref_ctr/filterRefJSON',
	        method: 'post',
	        data: requestData,
	        headers: {
	          'Content-Type': 'application/json'
	        }
	      }).then(function (res) {
	        if (!res || !res.data || !res.data.data) {
	          return;
	        }
	        var segs;
	        if (res.data && {}.toString.call(res.data.data) === '[object Array]') {
	          segs = res.data.data;
	          for (var i = 0; i < segs.length; i++) {
	            segs[i].value = segs[i].refname;
	          }
	        } else {
	          segs = [{ value: '无可用数据！' }];
	        }
	        callback(segs);
	      });
	    },
	    requestInfo: function requestInfo() {
	      var _this3 = this;

	      if (this.refCode) {
	        var url = '/uitemplate_web/iref_ctr/refInfo/?refCode=' + this.refCode;
	        this.$http({
	          url: url,
	          method: 'get'
	        }).then(function (refInfo) {
	          _this3.refInfo = refInfo.data;
	        });
	      }
	    },
	    request: function request() {
	      var _this4 = this;

	      if (this.beforeQuery) {
	        var result = this.beforeQuery.call(this);
	        if (!result) {
	          return;
	        }
	      }
	      if (!this.templateValue || !this.refCode || !this.field) return;
	      // 树表的改到dialog里统一处理
	      // if (this.refInfo.refUIType === 'RefGridTree') {
	      //   this.dialogVisible = true;
	      //   return;
	      // }
	      var queryParamsStr = this.urlParams;
	      var requestAPI = 'commonRefsearch';
	      // if (this.refInfo.refUIType === 'RefGridTree') {
	      //   requestAPI = 'blobRefClassSearch';
	      // }
	      // 请求 url
	      var requestUrl = '/uitemplate_web/iref_ctr/' + requestAPI;
	      // 请求 data
	      var requestData = {
	        refModelUrl: this.refInfo.refModelUrl
	      };
	      // code为dept的参照需要额外传值
	      if (this.refInfo.refCode === 'dept') {
	        var tmp = location.hash.split('?')[1];
	        var dept_org = tmp ? tmp.split('=')[1] : '';
	        requestData.pk_org = dept_org;
	      }
	      if (this.templateValue['base_doc_type']) {
	        requestData.condition = this.templateValue['base_doc_type'];
	      }
	      if (this.queryParams && JSON.stringify(this.queryParams) !== '{}') {
	        requestData.transmitParam = JSON.stringify(this.queryParams);
	      }
	      // 分页
	      if (this.refInfo.refUIType === 'RefGrid') {
	        var pageInfo = {
	          pageSize: 10,
	          currPageIndex: 0
	        };
	        requestData.refClientPageInfo = pageInfo;
	      }
	      this.$http({
	        url: requestUrl,
	        method: 'post',
	        data: requestData,
	        headers: {
	          'Content-Type': 'application/json'
	        }
	      }).then(function (ref) {
	        if (!ref || !ref.data || !ref.data.data) {
	          return;
	        }
	        ref.data.data = _this4.getRefData(ref.data.data);
	        _this4.refData = ref.data;
	        if (ref.data.refViewModel && ref.data.refViewModel.refClientPageInfo && ref.data.refViewModel.refClientPageInfo.pageCount) {
	          _this4.totalElementsInitial = ref.data.refViewModel.refClientPageInfo.pageCount;
	        }
	        _this4.dialogVisible = true;
	      });
	    },
	    getRefData: function getRefData(data) {
	      var refData;
	      if (['RefTree'].indexOf(this.refInfo.refUIType) > -1) {
	        var map = {};
	        var ids = [];
	        var root = [];
	        data.forEach(function (v) {
	          ids.push(v.id);
	        });
	        data.forEach(function (v) {
	          if (ids.indexOf(v.pid) > -1) {
	            if (map[v.pid]) {
	              map[v.pid].push(v);
	            } else {
	              map[v.pid] = [v];
	            }
	          } else {
	            root.push(v);
	          }
	        });
	        var setChild = function setChild(node) {
	          var tmp = node;
	          if (map[tmp.id]) {
	            tmp.children = map[tmp.id];
	            tmp.children.forEach(function (v) {
	              setChild(v);
	            });
	          }
	        };
	        root.forEach(function (v) {
	          setChild(v);
	        });
	        refData = root;
	      } else {
	        refData = data;
	      }
	      return refData;
	    },
	    closeDialog: function closeDialog() {
	      this.dialogVisible = false;
	    },


	    /**
	     * 格式化非编辑态时参照的显示值
	     * val: 参照值
	     * beanMap: 对应的beanMap
	     * type: diff ref 对应的新值或旧值(oldValue || newValue)
	     */
	    formatRefName: function formatRefName(val, beanMap, type) {
	      if (!val || !beanMap) {
	        return '';
	      }
	      var data = beanMap[this.field + '_ref'];
	      if (Object.prototype.toString.call(data) !== '[object Object]') {
	        return '';
	      }
	      var valueArr = [];
	      var tmp = val.split(',');
	      Object.keys(data).forEach(function (key) {
	        if (tmp.indexOf(key) > -1) {
	          var refObj = type ? data[key][type] : data[key];
	          if (refObj && refObj.name) {
	            valueArr.push(refObj.name);
	          } else if (refObj && refObj.refname) {
	            valueArr.push(refObj.refname);
	          }
	        }
	      });
	      return valueArr.join(',');
	    },
	    setSelected: function setSelected(val) {
	      var _this5 = this;

	      this.selected = [];
	      if (!this.templateValue.beanMap) {
	        return;
	      }
	      var data = this.templateValue.beanMap[this.field + '_ref'];
	      if (Object.prototype.toString.call(data) !== '[object Object]') {
	        return;
	      }
	      var tmp = val.split(',');
	      Object.keys(data).forEach(function (key) {
	        if (tmp.indexOf(key) > -1) {
	          _this5.selected.push(data[key]);
	        }
	      });
	    },
	    handleInputBlur: function handleInputBlur() {
	      // console.log('************* blur ******************');
	      var currentName = this.value;
	      // 为空
	      if (!currentName) {
	        // 清空当前参照
	        this.reset();
	        this.$emit('trigger', 'change', {
	          key: this.field,
	          value: []
	        });
	        this.$emit('change', {
	          key: this.field,
	          value: []
	        });
	        return;
	      }
	      // 单选或多选只选了一个值
	      var currentValue = this.templateValue[this.field];
	      var beanMap = this.templateValue.beanMap;
	      if (!this.isMutiSelect || currentValue.indexOf(',') === -1) {
	        var rightName = this.formatRefName(currentValue, beanMap);
	        if (!rightName || rightName !== currentName) {
	          this.reset();
	          this.$emit('trigger', 'change', {
	            key: this.field,
	            value: []
	          });
	          this.$emit('change', {
	            key: this.field,
	            value: []
	          });
	        }
	        return;
	      }
	      // 多选
	      var currentValueArr = currentValue.split(',');
	      var currentNameArr = currentName.split(',');
	      var finalValueArr = [];
	      var rightNameArr = [];
	      var refData = beanMap[this.field + '_ref'];
	      if (!refData) {
	        this.reset();
	        this.$emit('trigger', 'change', {
	          key: this.field,
	          value: []
	        });
	        this.$emit('change', {
	          key: this.field,
	          value: []
	        });
	      }
	      Object.keys(refData).forEach(function (key) {
	        if (currentValueArr.indexOf(key) !== -1) {
	          var refObj = refData[key];
	          var refName = void 0;
	          if (refObj) {
	            refName = refObj.name || refObj.refname || '';
	          }
	          // 如果当前显示值数组中存在已选中值对应名称, 则将该值放入结果数组
	          if (refName && currentNameArr.indexOf(refName) !== -1) {
	            finalValueArr.push(key);
	            rightNameArr.push(refName);
	          }
	        }
	      });
	      if (finalValueArr.length) {
	        this.templateValue[this.field] = finalValueArr.join(',');
	        this.value = rightNameArr.join(',');
	      } else {
	        this.reset();
	        this.$emit('trigger', 'change', {
	          key: this.field,
	          value: []
	        });
	        this.$emit('change', {
	          key: this.field,
	          value: []
	        });
	      }
	    },

	    // templateValue 或 refCode 变化后处理事件
	    handlePropChange: function handlePropChange() {
	      if (this.templateValue && this.templateValue[this.field]) {
	        if (this.value !== this.formatRefName(this.templateValue[this.field], this.templateValue.beanMap) || this.diff && this.diff.oldValue !== undefined && this.diff.newValue !== undefined) {
	          this.init();
	        }
	      } else {
	        if (this.value) {
	          this.reset();
	        }
	      }
	    },
	    handleRefCodeChange: function handleRefCodeChange() {
	      this.requestInfo();
	    },

	    // 根据pk获取beanmap
	    getBeanMapByPK: function getBeanMapByPK(pks) {
	      var _this6 = this;

	      if (!pks) {
	        return;
	      }
	      var requestUrl = '/uitemplate_web/uitemplate_ctr/mdadptor_ctr/getRefTranslateInfo';
	      var requestData = [{
	        fieldCode: this.field,
	        refCode: this.refCode,
	        param: null,
	        id: pks
	      }];
	      this.$http({
	        url: requestUrl,
	        method: 'post',
	        data: requestData,
	        headers: {
	          'Content-Type': 'application/json'
	        }
	      }).then(function (res) {
	        if (!res || !res.data || !Array.isArray(res.data)) {
	          return;
	        }
	        var resBeanMap = void 0;
	        for (var i = 0; i < res.data.length; i++) {
	          var obj = res.data[i];
	          if (obj.fieldCode === _this6.field && obj.refCode === _this6.refCode) {
	            resBeanMap = obj.beanMap || {};
	          }
	        }
	        _this6.templateValue.beanMap = _this6.templateValue.beanMap || {};
	        _this6.templateValue.beanMap[_this6.field + '_ref'] = resBeanMap[_this6.field + '_ref'] || {};
	        _this6.templateValue[_this6.field] = pks;
	        // 进入的时候不会触发监听，主动调用
	        _this6.handlePropChange();
	      });
	    },
	    setQueryParamsByKey: function setQueryParamsByKey(key, value) {
	      this.queryParams = this.queryParams || {};
	      this.queryParams[key] = value || '';
	    },


	    /**
	     * 平铺参照
	     */
	    requestFlatRef: function requestFlatRef() {
	      var _this7 = this;

	      if (!this.refInfo || !Array.isArray(this.refInfo.strFieldCode) || !this.refInfo.strFieldCode.length) {
	        console.log('未获取正确的refInfo');
	        return;
	      }
	      var requestData = {
	        refModelUrl: this.refInfo.refModelUrl,
	        content: this.refInfo.strFieldCode[0]
	      };
	      this.$http({
	        url: '/uitemplate_web/iref_ctr/getFlatRefData',
	        method: 'post',
	        data: requestData,
	        headers: {
	          'Content-Type': 'application/json'
	        }
	      }).then(function (res) {
	        if (!res || !res.data || !res.data.data) {
	          return;
	        }
	        res.data.data = _this7.getRefData(res.data.data);
	        _this7.refData = res.data;
	        _this7.dialogVisible = true;
	      });
	    },


	    /**
	     * 暴露方法
	     */
	    setPK: function setPK(pk) {
	      this.getBeanMapByPK(pk);
	    },
	    setPKs: function setPKs(pks) {
	      this.getBeanMapByPK(pks);
	    },
	    setWherePart: function setWherePart(param) {
	      this.setQueryParamsByKey('wherePart', param);
	    },
	    addWherePart: function addWherePart(param) {
	      this.queryParams = this.queryParams || {};
	      if (!param) {
	        return;
	      }
	      this.queryParams.wherePart += param;
	    },
	    setOrg: function setOrg(param) {
	      this.setQueryParamsByKey('org', param);
	    },
	    triggerFormItemChange: function triggerFormItemChange() {
	      if (this.templateValue && this.field) {
	        this.dispatch('ElFormItem', 'el.form.change', this.templateValue[this.field]);
	      }
	    }
	  },
	  created: function created() {
	    if (this.templateValue && this.templateValue[this.field]) {
	      this.init();
	    }
	    if (!this.templateValue || !this.refCode || !this.field) {
	      this.triggerOnFocus = false;
	    }
	    // 自定义弹出框时, 不发送请求
	    if (this.customDialog) {
	      return;
	    }
	    this.requestInfo();
	    this.$on('change', this.triggerFormItemChange);
	  },
	  mounted: function mounted() {
	    this.dispatch('ElFormItem', 'editableChange', [this.editable]);
	  }
	};
	/* eslint-enable */

/***/ }),

/***/ 387:
/***/ (function(module, exports, __webpack_require__) {

	function injectStyle (ssrContext) {
	  __webpack_require__(388)
	  __webpack_require__(390)
	}
	var Component = __webpack_require__(3)(
	  /* script */
	  __webpack_require__(392),
	  /* template */
	  __webpack_require__(393),
	  /* styles */
	  injectStyle,
	  /* scopeId */
	  "data-v-62c2136d",
	  /* moduleIdentifier (server only) */
	  null
	)

	module.exports = Component.exports


/***/ }),

/***/ 388:
/***/ (function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag

	// load the styles
	var content = __webpack_require__(389);
	if(typeof content === 'string') content = [[module.id, content, '']];
	if(content.locals) module.exports = content.locals;
	// add the styles to the DOM
	var update = __webpack_require__(11)("cfcee64e", content, true, {});

/***/ }),

/***/ 389:
/***/ (function(module, exports, __webpack_require__) {

	exports = module.exports = __webpack_require__(10)();
	// imports


	// module
	exports.push([module.id, "\n.ufold[data-v-62c2136d] {\n  position: absolute;\n  top:1rem;\n  display: none;\n}\n.ufold i[data-v-62c2136d] {\n  font-size: 18px;\n  color: #bfcbd9;\n}\n.ufold i[data-v-62c2136d]:hover {\n  color:#20a0ff;\n  cursor: pointer;\n}\n.clearfix[data-v-62c2136d]:before,\n.clearfix[data-v-62c2136d]:after {\n  display: table;\n  content: \"\";\n}\n.clearfix[data-v-62c2136d]:after {\n  clear: both;\n}\n.flat-ref-groups[data-v-62c2136d] {\n  display: flex;\n  height: 40px;\n  line-height: 40px;\n  text-align: center;\n}\n.flat-ref-groups span[data-v-62c2136d] {\n  flex: 1;\n  background: #EAF9FF;\n  font-size: 14px;\n  color: #2D2D2D;\n  border-right: 1px solid #fff;\n  cursor: pointer;\n}\n.flat-ref-groups .current[data-v-62c2136d],\n.flat-ref-groups span[data-v-62c2136d]:hover {\n  background: #5AC8FA;\n  color: #FFFFFF;\n}\n\n/* 树表 */\n.tree-breadcrumbs[data-v-62c2136d] {\n  /* 溢出往左撑开 */\n  position: absolute;\n  right: 0;\n  padding-bottom: 16px;\n  padding-left: 16px;\n  min-width: 98%;\n  height: 14px;\n  line-height: 16px;\n  color: #8E8E93;\n  font-size: 14px;\n  white-space: nowrap;\n  cursor: default;\n}\n.tree-breadcrumbs i[data-v-62c2136d] {\n  vertical-align: middle;\n}\n.tree-breadcrumbs .clickable[data-v-62c2136d] {\n  color: #5AC8FA;\n  cursor: pointer;\n}\n.tree-selector-container[data-v-62c2136d] {\n  position: relative;\n  height: 32px;\n}\n.tree-node-panel[data-v-62c2136d] {\n  position: absolute;\n  left: 0;\n  top: 32px;\n  width: 484px;\n  z-index: 999;\n}\n.tree-node-childnode[data-v-62c2136d] {\n  padding: 8px;\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n  color: #2D2D2D;\n  cursor: pointer;\n  font-size: 14px;\n  line-height: 14px;\n}\n.tree-node-childnode[data-v-62c2136d]:hover,\n.tree-node-childnode.current[data-v-62c2136d] {\n  color: #5AC8FA;\n}\n.tree-node-panel-content[data-v-62c2136d] {\n  overflow-x: hidden;\n  overflow-y: auto;\n}\n.flat-ref-options[data-v-62c2136d] {\n  overflow: auto;\n}\n.flat-ref-label[data-v-62c2136d],\n.flat-ref-option[data-v-62c2136d] {\n  margin-top: 8px;\n  padding: 8px;\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis;\n  font-size: 14px;\n  line-height: 14px;\n  color: #2D2D2D;\n}\n.flat-ref-option[data-v-62c2136d] {\n  cursor: pointer;\n}\n.flat-ref-option[data-v-62c2136d]::selection,\n.tree-node-childnode[data-v-62c2136d]:selection,\n.tree-breadcrumbs span[data-v-62c2136d]::selection {\n  color: inherit;\n}\n.flat-ref-label[data-v-62c2136d],\n.flat-ref-option[data-v-62c2136d]:hover,\n.flat-ref-option.current[data-v-62c2136d] {\n  color: #5AC8FA;\n}\n.no-selected[data-v-62c2136d] {\n  box-sizing: border-box;\n  padding: 12px 12px 100px;\n}\n", ""]);

	// exports


/***/ }),

/***/ 390:
/***/ (function(module, exports, __webpack_require__) {

	// style-loader: Adds some css to the DOM by adding a <style> tag

	// load the styles
	var content = __webpack_require__(391);
	if(typeof content === 'string') content = [[module.id, content, '']];
	if(content.locals) module.exports = content.locals;
	// add the styles to the DOM
	var update = __webpack_require__(11)("76ffa263", content, true, {});

/***/ }),

/***/ 391:
/***/ (function(module, exports, __webpack_require__) {

	exports = module.exports = __webpack_require__(10)();
	// imports


	// module
	exports.push([module.id, "\n.ref-dialog .el-tabs>div {\n  margin-left: 0 !important;\n}\n.ref-dialog .el-tabs__nav {\n  margin-left: 0 !important;\n}\n.ref-dialog .ref-dialog-tabs > .el-tabs__header {\n  border-bottom: 1px solid #E6E6EB;\n  margin-bottom: 16px;\n}\n.ref-dialog .el-tabs__item {\n  height: 48px;\n  line-height: 48px;\n  /* max-width: 170px;\n  overflow: hidden;\n  white-space: nowrap;\n  text-overflow: ellipsis; */\n}\n.ref-dialog .el-tabs__item::selection {\n  color: inherit;\n}\n.ref-dialog .el-tabs__item .el-cascader__label {\n  line-height: 48px;\n}\n.ref-dialog .ref-dialog-tabs {\n  background-color:#FFF;\n}\n.ref-dialog .el-dialog__body {\n  padding: 0 16px;\n}\n.ref-dialog .filter-input {\n  position: absolute;\n  top: 8px;\n  right: 16px;\n  width: 192px;\n  z-index: 2;\n}\n.ref-dialog .el-tree {\n  border:  none;\n}\n.ref-dialog.flat-ref-dialog .el-dialog__body {\n  padding-top: 8px;\n}\n.tree-node-panel > .el-tabs__content {\n  padding: 8px 16px;\n}\n.ref-dialog .el-table tr .el-table-operate-icon {\n  display: inline-block;\n  visibility: hidden;\n}\n.ref-dialog .el-table__body tr:hover .el-table-operate-icon {\n  visibility: visible;\n}\n", ""]);

	// exports


/***/ }),

/***/ 392:
/***/ (function(module, exports, __webpack_require__) {

	'use strict';

	exports.__esModule = true;

	var _clickoutside = __webpack_require__(20);

	var _clickoutside2 = _interopRequireDefault(_clickoutside);

	function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

	exports.default = {
	  props: ['isMutiSelect', 'dialogVisible', 'refData', 'children', 'label', 'refInfo', 'savedSelected', 'templateValue', 'queryParams', 'size', 'treeTableTree', 'dialogTitle', 'dialogShowClose', 'isFlatRef', 'notLeafSelectable', 'totalElementsInitial', 'showPagination'],
	  directives: {
	    Clickoutside: _clickoutside2.default
	  },
	  data: function data() {
	    return {
	      urefClientWidth: '',
	      rflag: 'true',
	      activeName: 'first',
	      selected: [],
	      treeData: [],
	      // 外部引用可以添加的属性
	      treeprops: {
	        children: 'children',
	        // label: 'refname',
	        label: 'reflabel',
	        id: 'id'
	      },
	      styleTree: {
	        width: '100%'
	      },
	      tableData: [],
	      currentRow: null,
	      styleTable: {
	        width: '100%'
	      },
	      strFieldCode: [],
	      strFieldName: [],
	      // dialogVisible: true,
	      filterText: '',
	      visible: false,
	      timeid: '',
	      currentTreeNodeKeys: '',
	      currentTreeNodePk: null,
	      treeNodeField: 'refpk',
	      contentHeight: 280,
	      localData: [],
	      currentFlatRef: null,
	      currentFlatGroupIndex: 0,
	      selectedFlatRefId: [],

	      // 树表
	      treeNodePanelVisible: false,
	      selectedTreeNodes: [],
	      /**
	       * [{
	       *  currentNodeName: '',
	       *  currentNodeId: '',
	       *  children: []
	       * }, {}, ...]
	       */
	      selectedNodesInPanel: [],
	      // 当前选中panel
	      treeNodePanel: null,
	      // 树表的树(本地)
	      local_treeTableTree: [],
	      // 临时保存变量
	      /**
	       * 分页
	       */
	      currentPage: 1,
	      pageSize: 10,
	      totalElements: 0,
	      // 点击了树的非叶子节点
	      notLeafClicked: false
	    };
	  },

	  watch: {
	    refInfo: function refInfo(val) {
	      this.clearDialogData();
	      this.treeNodeField = val.cfgParam || 'refpk';
	    },
	    refData: function refData() {
	      this.adjustRefData();
	      this.setTableColNames();
	    },
	    dialogVisible: function dialogVisible(val) {
	      this.visible = val;
	      if (val === true) {
	        this.currentFlatGroupIndex = 0;
	        this.adjustRefData();
	        this.formatSelectedArr();
	        this.setSelected();
	        this.setTableColNames();
	        this.setTreeTableTreeDefaultNode();
	        this.bindMouseEventForGridTree();
	      }
	    },
	    totalElementsInitial: function totalElementsInitial(val) {
	      this.totalElements = val;
	    }
	  },
	  mounted: function mounted() {
	    var _this2 = this;

	    this.$nextTick(function () {
	      _this2.adjustRefData();
	    });
	    window.addEventListener('resize', function () {
	      _this2.adjustRefData.call(_this2);
	    });
	  },

	  // computed: {
	  //   visible: function() {
	  //     return this.dialogVisible;
	  //   }
	  // },
	  created: function created() {
	    // this.dialogVisible = this.props.dialogVisible;
	    // this.treeprops = {
	    //   children: this.children,
	    //   label: this.label
	    // };
	    this.adjustRefData();
	    this.bindMouseEventForGridTree();
	  },
	  beforeMount: function beforeMount() {},

	  methods: {
	    handleClickoutside: function handleClickoutside() {
	      if (this.urefClientWidth >= 320 && this.urefClientWidth < 767) {
	        if (this.refInfo.refUIType === 'RefGridTree') {
	          document.querySelector('.ufold').style.display = 'block';
	          this.styleTree = { width: '30%', position: 'absolute', left: '-30%' };
	          this.rflag = true;
	        }
	      }
	    },
	    ufoldClick: function ufoldClick(event) {
	      if (this.rflag) {
	        event.currentTarget.style.display = 'none';
	        this.styleTree = { width: '70%', position: 'absolute', left: '0', zIndex: '1000' };
	        this.rflag = false;
	      } else {
	        event.currentTarget.style.display = 'block';
	        this.rflag = true;
	      }
	    },
	    adjustRefData: function adjustRefData() {
	      var calcHeight = window.innerHeight - 64 * 2 - 65 - 48 - 48;
	      this.contentHeight = Math.min(parseInt(calcHeight, 10), 426);
	      this.contentHeight = this.refInfo.refUIType === 'RefGridTree' ? this.contentHeight - 30 : this.contentHeight;
	      if (this.refData && this.refData.data) {
	        this.setDialogData(this.refData.data);
	      }
	      this.local_treeTableTree = this.treeTableTree || [];
	    },
	    filterNode: function filterNode(value, data) {
	      if (!value) return true;
	      return data.name.indexOf(value) !== -1;
	    },
	    getSuggestions: function getSuggestions() {
	      // 模糊查询触发
	      var tmp = function () {
	        this.currentPage = 1;
	        this.querySearch();
	        this.timeid = false;
	      }.bind(this);
	      if (!this.timeid) {
	        this.timeid = setTimeout(tmp, 300);
	      } else {
	        clearTimeout(this.timeid);
	        this.timeid = setTimeout(tmp, 300);
	      }
	    },
	    querySearch: function querySearch() {
	      var _this3 = this;

	      var searchStr = this.filterText;
	      var requestData = {
	        content: searchStr,
	        refModelUrl: this.refInfo.refModelUrl
	      };
	      if (this.queryParams && JSON.stringify(this.queryParams) !== '{}') {
	        requestData.transmitParam = JSON.stringify(this.queryParams);
	      }
	      if (this.templateValue && this.templateValue['base_doc_type']) {
	        requestData.condition = this.templateValue['base_doc_type'];
	      }
	      var requestUrl = '/uitemplate_web/iref_ctr/commonRefsearch';
	      if (this.refInfo.refUIType === 'RefGridTree') {
	        requestData.clientParam = this.currentTreeNodePk;
	        requestUrl = '/uitemplate_web/iref_ctr/blobRefSearch';
	      }
	      // 分页
	      if (['RefGrid', 'RefGridTree'].indexOf(this.refInfo.refUIType) > -1) {
	        var pageInfo = {
	          pageSize: this.pageSize,
	          currPageIndex: this.currentPage - 1
	        };
	        requestData.refClientPageInfo = pageInfo;
	      }
	      this.$http({
	        url: requestUrl,
	        method: 'post',
	        data: requestData,
	        headers: {
	          'Content-Type': 'application/json'
	        }
	      }).then(function (res) {
	        if (!res || !res.data || !res.data.data) {
	          return;
	        }
	        var refData = res.data.data;
	        refData = _this3.getRefData(refData);
	        _this3.setDialogData(refData);
	        if (res.data.refViewModel && res.data.refViewModel.refClientPageInfo && res.data.refViewModel.refClientPageInfo.pageCount) {
	          _this3.totalElements = res.data.refViewModel.refClientPageInfo.pageCount;
	        }
	      });
	    },
	    getRefData: function getRefData(data) {
	      if (!data || !data.length) {
	        return [];
	      }
	      var refData;
	      if (['RefTree'].indexOf(this.refInfo.refUIType) > -1) {
	        var map = {};
	        var ids = [];
	        var root = [];
	        data.forEach(function (v) {
	          ids.push(v.id);
	        });
	        data.forEach(function (v) {
	          if (ids.indexOf(v.pid) > -1) {
	            if (map[v.pid]) {
	              map[v.pid].push(v);
	            } else {
	              map[v.pid] = [v];
	            }
	          } else {
	            root.push(v);
	          }
	        });
	        var setChild = function setChild(node) {
	          var tmp = node;
	          if (map[tmp.id]) {
	            tmp.children = map[tmp.id];
	            tmp.children.forEach(function (v) {
	              setChild(v);
	            });
	          }
	        };
	        root.forEach(function (v) {
	          setChild(v);
	        });
	        refData = root;
	      } else {
	        refData = data;
	      }
	      return refData;
	    },
	    handleClick: function handleClick(tab) {
	      this.$emit('onTabClick', tab);
	      if (!tab) {
	        return;
	      }
	      var tabNaeme = tab.name;
	      if (!tabNaeme) {
	        return;
	      }
	    },
	    onSelectData: function onSelectData(data) {
	      if (!this.isMutiSelect) {
	        this.$emit('onSelectData', data);
	      }
	    },
	    handleNodeClick: function handleNodeClick(data) {
	      if (!this.isMutiSelect && this.refInfo.refUIType === 'RefTree') {
	        var childNodes = data.children;
	        if (!this.notLeafSelectable && Array.isArray(childNodes) && childNodes.length) {
	          this.notLeafClicked = true;
	          return;
	        }
	        this.notLeafClicked = false;
	        this.selected = [data];
	      }
	    },
	    handleCheckChange: function handleCheckChange(data) {
	      if (this.isMutiSelect) {
	        this.selected = this.$refs.reftree.getCheckedNodes();
	      }
	    },
	    handleTabSelectChange: function handleTabSelectChange(selection) {
	      if (this.isMutiSelect) {
	        var table = [];
	        var cur = [];
	        this.tableData.forEach(function (v) {
	          table.push(v.id);
	        });
	        this.selected.forEach(function (v) {
	          if (table.indexOf(v.id) < 0) {
	            cur.push(v);
	          }
	        });
	        this.selected = cur.concat(selection);
	      }
	    },
	    handleCurrentChange: function handleCurrentChange(val) {
	      if (!this.isMutiSelect) {
	        this.selected = [val];
	        // this.$emit('onSelectData', val);
	      }
	    },

	    // 单选时, 双击节点触发选中
	    nodeDblClick: function nodeDblClick(val) {
	      if (this.isMutiSelect) {
	        return;
	      }
	      var childNodes = val.children;
	      if (!this.notLeafSelectable && Array.isArray(childNodes) && childNodes.length) {
	        return;
	      }
	      this.$emit('onSelectData', val);
	    },
	    loadList: function loadList(data) {
	      var _this4 = this;

	      var requestData = {
	        refModelUrl: this.refInfo.refModelUrl,
	        condition: data.id
	      };
	      this.$http({
	        url: '/uitemplate_web/iref_ctr/blobRefSearch',
	        method: 'post',
	        data: requestData,
	        headers: {
	          'Content-Type': 'application/json'
	        }
	      }).then(function (res) {
	        if (!res || !res.data || !res.data.data) {
	          return;
	        }
	        _this4.tableData = res.data.data;
	        _this4.setSelected();
	      });
	    },
	    setSelected: function setSelected() {
	      var _this5 = this;

	      var sel = [];
	      this.selected.forEach(function (v) {
	        if (v.id) {
	          sel.push(v.id);
	          sel.push(v.id);
	        }
	      });
	      this.$nextTick(function () {
	        if (_this5.refInfo.refUIType === 'RefTree') {
	          if (_this5.isMutiSelect && _this5.$refs.reftree) {
	            _this5.$refs.reftree.setCheckedKeys(sel);
	          } else {
	            _this5.currentTreeNodeKeys = Array.isArray(sel) && sel.length ? sel[0] : '';
	          }
	        } else if (_this5.isFlatRef) {
	          _this5.selectedFlatRefId = sel;
	        } else {
	          if (!sel.length) {
	            return;
	          }
	          _this5.tableData.forEach(function (v) {
	            if (v.id && sel.indexOf(v.id) !== -1) {
	              _this5.$refs.refTable.toggleRowSelection(v, true);
	            } else {
	              _this5.$refs.refTable.toggleRowSelection(v, false);
	            }
	          });
	        }
	      });
	    },
	    handleDelete: function handleDelete(index, row) {
	      this.selected.splice(index, 1);
	      if (this.refInfo.refUIType === 'RefTree') {
	        this.$refs.reftree.setChecked(row.id, false);
	      } else {
	        var tmp;
	        this.tableData.forEach(function (v) {
	          if (v.id === row.id) {
	            tmp = v;
	          }
	        });
	        this.$refs.refTable.toggleRowSelection(tmp);
	      }
	    },
	    loadNode: function loadNode(node, resolve) {
	      var _this6 = this;

	      var data;
	      if (node.level === 0) {
	        return resolve([{ name: 'region1' }, { name: 'region2' }]);
	      }
	      if (node.level > 3) {
	        return resolve([]);
	      }
	      var hasChild = void 0;
	      if (node.data.name === 'region1') {
	        hasChild = true;
	      } else if (node.data.name === 'region2') {
	        hasChild = false;
	      } else {
	        hasChild = Math.random() > 0.5;
	      }
	      setTimeout(function () {
	        if (hasChild) {
	          var count = _this6.count + 1;
	          data = [{
	            name: 'zone' + count
	          }, {
	            name: 'zone' + count
	          }];
	        } else {
	          data = [];
	        }

	        return resolve(data);
	      }, 500);
	      return resolve(data);
	    },
	    closeDialog: function closeDialog() {
	      this.$emit('closeDialog');
	      // 重置过滤文字
	      this.filterText = '';
	      // 下次打开 dialog 应显示第一个 tab
	      this.activeName = 'first';
	    },
	    handleCloseSelf: function handleCloseSelf(code) {
	      if (code === 'confirm') {
	        if (this.notLeafClicked) {
	          this.$message({
	            message: '不允许选择非末级数据',
	            type: 'error'
	          });
	          return;
	        }
	        this.$emit('onSelectData', this.selected);
	      }
	      this.closeDialog();
	    },


	    // 提取出的初始化方法
	    uresizeSc: function uresizeSc() {
	      this.setDialogData(this.refData.data);
	    },


	    // 设置 dialog 数据
	    setDialogData: function setDialogData(dataArr) {
	      this.localData = dataArr;
	      if (!Array.isArray(dataArr) && this.refInfo.refUIType !== 'RefFlat') {
	        this.localData = [];
	        // this.formatSelectedArr();
	        // console.log('参照 dialog 数据为空');
	        return;
	      }
	      // this.formatSelectedArr();
	      // 清空对话框数据
	      this.clearDialogData();
	      // 设置对话框数据
	      switch (this.refInfo.refUIType) {
	        case 'RefGrid':
	        case 'RefGridTree':
	        case 'RefFlat':
	          this.tableData = dataArr;
	          break;
	        case 'RefTree':
	          this.treeData = this.formatTreeLabel(dataArr);
	          break;
	        default:
	          break;
	      }
	      // 设置选中
	      if (dataArr && dataArr !== [] && dataArr !== {}) {
	        this.setSelected();
	      }
	    },


	    // 清除 dialog 数据
	    clearDialogData: function clearDialogData() {
	      this.tableData = [];
	      this.listData = [];
	      this.treeData = [];
	    },


	    // 格式化树状参照的显示(code + name)
	    formatTreeLabel: function formatTreeLabel(dataArr) {
	      if (!Array.isArray(dataArr)) {
	        return dataArr;
	      }
	      for (var i = 0; i < dataArr.length; i++) {
	        var refObj = dataArr[i];
	        if (Object.prototype.toString.call(refObj) !== '[object Object]') {
	          continue;
	        }
	        refObj.reflabel = refObj.refcode ? refObj.refcode + ' ' + refObj.refname : refObj.refname;
	        if (refObj.children) {
	          refObj.children = this.formatTreeLabel(refObj.children);
	        }
	      }
	      return dataArr;
	    },


	    // 树表 cascader 点击
	    handleCascaderItemClick: function handleCascaderItemClick(val) {
	      this.currentTreeNodePk = val[this.treeNodeField];
	      this.querySearch();
	    },
	    handleCascaderChange: function handleCascaderChange(val) {},


	    // 获取树表的树
	    getTreeTableTree: function getTreeTableTree() {
	      var _this7 = this;

	      var requestData = {
	        refModelUrl: this.refInfo.refModelUrl
	      };
	      if (this.queryParams && JSON.stringify(this.queryParams) !== '{}') {
	        requestData.transmitParam = JSON.stringify(this.queryParams);
	      }
	      this.$http({
	        url: '/uitemplate_web/iref_ctr/blobRefClassSearch',
	        method: 'post',
	        data: requestData,
	        headers: {
	          'Content-Type': 'application/json'
	        }
	      }).then(function (res) {
	        if (!res || !res.data || !res.data.data) {
	          return;
	        }
	        _this7.local_treeTableTree = _this7.getRefData(res.data.data) || [];
	        _this7.setTreeTableTreeDefaultNode();
	        _this7.setTableColNames();
	      });
	    },


	    // 格式化标签显示名
	    formatTreeTableTree: function formatTreeTableTree(dataArr) {
	      dataArr.forEach(function (node) {
	        node.label = node.refcode ? node.refcode + ' ' + node.name : node.name;
	        node.value = node.refpk;
	      });
	      return dataArr;
	    },


	    // 设置列名
	    setTableColNames: function setTableColNames() {
	      this.strFieldCode = [];
	      this.strFieldName = [];
	      if (this.refInfo.strFieldName) {
	        this.strFieldName = this.refInfo.strFieldName;
	        this.strFieldCode = this.refInfo.strFieldCode;
	      } else if (this.refData && this.refData.refViewModel && this.refData.refViewModel.strFieldName) {
	        this.strFieldName = this.refData.refViewModel.strFieldName;
	        this.strFieldCode = this.refData.refViewModel.strFieldCode;
	      }
	    },


	    // 设置已选中tab中未赋予的字段
	    formatSelectedArr: function formatSelectedArr() {
	      var savedArr = JSON.parse(JSON.stringify(this.savedSelected));
	      if (!savedArr || !Array.isArray(savedArr)) {
	        this.selected = [];
	        return;
	      }
	      var localDataArr = this.localData;
	      var localDataObj = {};
	      if (!localDataArr || !Array.isArray(localDataArr)) {
	        this.selected = [];
	        return;
	      }
	      for (var i = 0; i < localDataArr.length; i++) {
	        var localData = localDataArr[i];
	        var localId = localData.id;
	        if (localId) {
	          localDataObj[localId] = localData;
	        }
	      }
	      for (var _i = 0; _i < savedArr.length; _i++) {
	        var savedObj = savedArr[_i];
	        var id = savedObj.id;
	        if (localDataObj[id]) {
	          savedArr[_i] = localDataObj[id];
	        }
	      }
	      this.selected = savedArr;
	    },
	    flatRefClicked: function flatRefClicked(ref) {
	      this.currentFlatRef = ref;
	      this.selectedFlatRefId = [ref.id];
	      this.selected = [ref];
	    },
	    flatRefGroupChange: function flatRefGroupChange(index) {
	      if (this.currentFlatGroupIndex === index) {
	        return;
	      }
	      this.requestFlatRef(index);
	    },
	    requestFlatRef: function requestFlatRef(index) {
	      var _this8 = this;

	      if (!this.refInfo || !Array.isArray(this.refInfo.strFieldCode) || index > this.refInfo.strFieldCode.length - 1) {
	        return;
	      }
	      this.$http({
	        url: '/uitemplate_web/iref_ctr/getFlatRefData',
	        method: 'post',
	        data: {
	          refModelUrl: this.refInfo.refModelUrl,
	          content: this.refInfo.strFieldCode[index]
	        },
	        headers: {
	          'Content-Type': 'application/json'
	        }
	      }).then(function (res) {
	        if (!res || !res.data || !res.data.data) {
	          return;
	        }
	        var refData = res.data.data;
	        _this8.setDialogData(refData);
	        _this8.currentFlatGroupIndex = index;
	      });
	    },


	    // 设置树panel第一级数据(树表)
	    setTreeTableTreeDefaultNode: function setTreeTableTreeDefaultNode() {
	      if (this.refInfo.refUIType !== 'RefGridTree') {
	        return;
	      }
	      if (!Array.isArray(this.local_treeTableTree) || !this.local_treeTableTree.length) {
	        this.getTreeTableTree();
	        return;
	      }
	      this.selectedTreeNodes = [];
	      this.selectedNodesInPanel = [];
	      this._addTreeNodePanel('null');
	    },

	    // 增加树panel, 若无子节点, 返回false
	    _addTreeNodePanel: function _addTreeNodePanel(pid) {
	      var children = this.local_treeTableTree.filter(function (node) {
	        return node.pid === pid;
	      });
	      if (!Array.isArray(children) || !children.length) {
	        return false;
	      }
	      if (this.notLeafSelectable && pid !== 'null') {
	        children.unshift({
	          name: '全部',
	          id: 'fe_all'
	        });
	      }
	      var panelCount = this.selectedNodesInPanel.length;
	      this.selectedNodesInPanel.push({
	        currentNodeName: null,
	        currentNodeId: null,
	        currentRefcode: null,
	        panelName: 'treeNodePanel_' + panelCount,
	        children: children
	      });
	      this.treeNodePanel = 'treeNodePanel_' + panelCount;
	      return true;
	    },

	    // 树表绑定移入移除事件
	    bindMouseEventForGridTree: function bindMouseEventForGridTree() {
	      if (this.refInfo.refUIType !== 'RefGridTree') {
	        return;
	      }
	      var _this = this;
	      $('.ref-dialog').on('mouseenter', '.tree-selector-container', function () {
	        clearTimeout(_this.leaveTimer);
	        _this.treeNodePanelVisible = true;
	      });
	      $('.ref-dialog').on('mouseleave', '.tree-selector-container', function () {
	        _this.leaveTimer = setTimeout(function () {
	          _this.treeNodePanelVisible = false;
	        }, 300);
	      });
	    },

	    // 选中某节点
	    selectTreeNode: function selectTreeNode(node, childNode, tabIndex) {
	      if (!node || !childNode) {
	        return;
	      }
	      if (tabIndex < this.selectedNodesInPanel.length - 1) {
	        this.selectedNodesInPanel = this.selectedNodesInPanel.slice(0, tabIndex + 1);
	      }
	      node.currentNodeName = childNode.name;
	      node.currentNodeId = childNode.id;
	      node.currentRefcode = childNode.refcode;
	      if (childNode.id === 'fe_all') {
	        this.handleTreeNodeChange();
	        return;
	      }
	      // 添加新panel, 如果没有子节点, 则触发查询
	      if (!this._addTreeNodePanel(node.currentNodeId)) {
	        this.handleTreeNodeChange();
	      }
	    },

	    // 触发查询
	    handleTreeNodeChange: function handleTreeNodeChange() {
	      this.treeNodePanelVisible = false;
	      // 设置面包屑
	      this._setTreeBreadCrumb();
	      if (!Array.isArray(this.selectedTreeNodes) || !this.selectedTreeNodes.length) {
	        return;
	      }
	      // 设置当前节点id
	      var lastTreeNode = this.selectedTreeNodes[this.selectedTreeNodes.length - 1];
	      if (!lastTreeNode) {
	        return;
	      }
	      this.currentTreeNodePk = lastTreeNode[this.treeNodeField];
	      // 查询
	      this.querySearch();
	    },

	    // 设置面包屑
	    _setTreeBreadCrumb: function _setTreeBreadCrumb() {
	      var resultArr = [];
	      for (var i = 0; i < this.selectedNodesInPanel.length; i++) {
	        var node = this.selectedNodesInPanel[i];
	        if (node.currentNodeName !== '全部') {
	          resultArr.push({
	            id: node.currentNodeId,
	            name: node.currentNodeName,
	            refcode: node.currentRefcode
	          });
	        }
	      }
	      this.selectedTreeNodes = resultArr;
	    },

	    // 点击面包屑
	    treeBreadCrumbClicked: function treeBreadCrumbClicked(node, index) {
	      if (!Array.isArray(this.selectedTreeNodes) || !this.selectedTreeNodes.length) {
	        return;
	      }
	      if (index === this.selectedTreeNodes.length - 1) {
	        return;
	      }
	      if (!this.notLeafSelectable) {
	        return;
	      }
	      var targetPanelIndex = void 0,
	          targetPanelId = void 0;
	      for (var i = 0; i < this.selectedNodesInPanel.length; i++) {
	        var panel = this.selectedNodesInPanel[i];
	        if (panel.currentNodeId === node.id) {
	          targetPanelIndex = i;
	          targetPanelId = node.id;
	          break;
	        }
	      }
	      // 截取panel数组
	      this.selectedNodesInPanel = this.selectedNodesInPanel.slice(0, targetPanelIndex + 2);
	      // 设置为'全部'
	      var lastPanel = this.selectedNodesInPanel[this.selectedNodesInPanel.length - 1];
	      lastPanel.currentNodeName = '全部';
	      lastPanel.currentNodeId = 'fe_all';
	      this.selectedTreeNodes = this.selectedTreeNodes.slice(0, index + 1);
	      this.treeNodePanel = lastPanel.panelName;
	      // this.treeNodePanelVisible = false;
	      this.querySearch();
	    },


	    /**
	     * 分页
	     */
	    handlePageSizeChange: function handlePageSizeChange(val) {
	      this.currentPage = 1;
	      this.pageSize = val;
	      this.querySearch();
	    },
	    handleCurrentPageChange: function handleCurrentPageChange(val) {
	      this.currentPage = val;
	      this.querySearch();
	    }
	  }
	}; //
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//
	//

/***/ }),

/***/ 393:
/***/ (function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c('div', [_c('el-dialog', {
	    staticClass: "ref-dialog",
	    class: {
	      'flat-ref-dialog': _vm.isFlatRef
	    },
	    attrs: {
	      "title": _vm.dialogTitle || _vm.refInfo.refName,
	      "size": _vm.size,
	      "close-on-click-modal": false,
	      "close-on-press-escape": false,
	      "show-close": _vm.dialogShowClose || false
	    },
	    on: {
	      "close": _vm.closeDialog
	    },
	    model: {
	      value: (_vm.visible),
	      callback: function($$v) {
	        _vm.visible = $$v
	      },
	      expression: "visible"
	    }
	  }, [(!_vm.isFlatRef) ? _c('el-input', {
	    staticClass: "filter-input",
	    attrs: {
	      "placeholder": "输入关键字进行过滤",
	      "icon": "search",
	      "on-icon-click": _vm.getSuggestions
	    },
	    nativeOn: {
	      "keyup": function($event) {
	        if (!('button' in $event) && _vm._k($event.keyCode, "enter", 13)) { return null; }
	        _vm.getSuggestions($event)
	      }
	    },
	    model: {
	      value: (_vm.filterText),
	      callback: function($$v) {
	        _vm.filterText = $$v
	      },
	      expression: "filterText"
	    }
	  }) : _vm._e(), _c('div', {
	    staticClass: "ufold",
	    on: {
	      "click": function($event) {
	        _vm.ufoldClick($event)
	      }
	    }
	  }, [_c('i', {
	    staticClass: "el-icon-pt-fenlei1"
	  })]), (_vm.isFlatRef) ? _c('div', {
	    staticClass: "flat-ref"
	  }, [(Array.isArray(_vm.strFieldName) && _vm.strFieldName.length) ? _c('div', {
	    staticClass: "flat-ref-groups"
	  }, _vm._l((_vm.strFieldName), function(groupName, groupNameIndex) {
	    return _c('span', {
	      key: groupNameIndex,
	      class: {
	        current: _vm.currentFlatGroupIndex === groupNameIndex
	      },
	      on: {
	        "click": function($event) {
	          _vm.flatRefGroupChange(groupNameIndex)
	        }
	      }
	    }, [_vm._v(_vm._s(groupName))])
	  })) : _vm._e(), _c('div', {
	    staticClass: "flat-ref-options",
	    style: ({
	      height: _vm.contentHeight + 'px'
	    })
	  }, [(Object.prototype.toString.call(_vm.tableData) === '[object Object]') ? _vm._l((_vm.tableData), function(flatOptions, flatLabel) {
	    return _c('el-row', {
	      key: flatLabel
	    }, [_c('el-col', {
	      staticClass: "flat-ref-label",
	      attrs: {
	        "span": 1
	      }
	    }, [_vm._v(_vm._s(flatLabel))]), _c('el-col', {
	      attrs: {
	        "span": 23
	      }
	    }, [_c('el-row', _vm._l((flatOptions), function(option, optionIndex) {
	      return _c('el-col', {
	        key: optionIndex,
	        staticClass: "flat-ref-option",
	        class: {
	          current: _vm.selectedFlatRefId.indexOf(option.id) !== -1
	        },
	        attrs: {
	          "span": 4,
	          "title": option.refcode ? option.refcode + ' ' + option.refname : option.refname
	        },
	        nativeOn: {
	          "click": function($event) {
	            _vm.flatRefClicked(option)
	          },
	          "dblclick": function($event) {
	            _vm.nodeDblClick(option)
	          }
	        }
	      }, [_vm._v(_vm._s(option.name || option.refname))])
	    }))], 1)], 1)
	  }) : (Array.isArray(_vm.tableData) && _vm.tableData.length) ? [_c('el-row', [_c('el-col', {
	    attrs: {
	      "span": 23,
	      "offset": 1
	    }
	  }, [_c('el-row', _vm._l((_vm.tableData), function(option, optionIndex) {
	    return _c('el-col', {
	      key: optionIndex,
	      staticClass: "flat-ref-option",
	      class: {
	        current: _vm.selectedFlatRefId.indexOf(option.id) !== -1
	      },
	      attrs: {
	        "span": 4,
	        "title": option.refcode ? option.refcode + ' ' + option.refname : option.refname
	      },
	      nativeOn: {
	        "click": function($event) {
	          _vm.flatRefClicked(option)
	        },
	        "dblclick": function($event) {
	          _vm.nodeDblClick(option)
	        }
	      }
	    }, [_vm._v(_vm._s(option.name || option.refname))])
	  }))], 1)], 1)] : _c('div', {
	    staticStyle: {
	      "padding": "12px 12px 100px"
	    }
	  }, [_vm._v("\n            暂无数据……\n          ")])], 2)]) : _c('el-tabs', {
	    staticClass: "ref-dialog-tabs",
	    on: {
	      "tab-click": _vm.handleClick
	    },
	    model: {
	      value: (_vm.activeName),
	      callback: function($$v) {
	        _vm.activeName = $$v
	      },
	      expression: "activeName"
	    }
	  }, [_c('el-tab-pane', {
	    attrs: {
	      "label": "全部",
	      "name": "first"
	    }
	  }, [(_vm.refInfo.refUIType === 'RefGridTree') ? _c('div', {
	    staticClass: "tree-selector-container"
	  }, [_c('div', {
	    staticClass: "tree-breadcrumbs"
	  }, [(Array.isArray(_vm.selectedTreeNodes) && _vm.selectedTreeNodes.length) ? _vm._l((_vm.selectedTreeNodes), function(node, index) {
	    return _c('span', {
	      key: index
	    }, [_c('span', {
	      class: {
	        clickable: _vm.notLeafSelectable && (index < _vm.selectedTreeNodes.length - 1)
	      },
	      on: {
	        "click": function($event) {
	          _vm.treeBreadCrumbClicked(node, index)
	        }
	      }
	    }, [_vm._v(_vm._s(node.name))]), (index < _vm.selectedTreeNodes.length - 1) ? _c('span', {
	      staticClass: "separator"
	    }, [_vm._v(" / ")]) : _vm._e()])
	  }) : _c('span', [_vm._v("请选择")]), _c('i', {
	    class: {
	      'ifbp-icon-caret-up': _vm.treeNodePanelVisible,
	      'ifbp-icon-caret-down': !_vm.treeNodePanelVisible,
	    }
	  })], 2), (_vm.treeNodePanelVisible) ? _c('div', {
	    staticClass: "tree-node-panel"
	  }, [_c('el-tabs', {
	    attrs: {
	      "type": "border-card"
	    },
	    model: {
	      value: (_vm.treeNodePanel),
	      callback: function($$v) {
	        _vm.treeNodePanel = $$v
	      },
	      expression: "treeNodePanel"
	    }
	  }, _vm._l((_vm.selectedNodesInPanel), function(node, index) {
	    return _c('el-tab-pane', {
	      key: index,
	      attrs: {
	        "name": node.panelName,
	        "label": node.currentNodeName ? node.currentNodeName : '请选择'
	      }
	    }, [_c('div', {
	      staticClass: "tree-node-panel-content",
	      style: ({
	        maxHeight: _vm.contentHeight - 84 + 'px'
	      })
	    }, [_c('el-row', {
	      staticClass: "tree-node-childnodes",
	      attrs: {
	        "gutter": 8
	      }
	    }, _vm._l((node.children), function(childNode, childIndex) {
	      return _c('el-col', {
	        key: childIndex,
	        staticClass: "tree-node-childnode",
	        class: {
	          current: node.currentNodeId === childNode.id
	        },
	        attrs: {
	          "span": 6,
	          "title": childNode.refcode ? childNode.refcode + ' ' + childNode.name : childNode.name
	        },
	        nativeOn: {
	          "click": function($event) {
	            _vm.selectTreeNode(node, childNode, index)
	          }
	        }
	      }, [_vm._v(_vm._s(childNode.name))])
	    }))], 1)])
	  }))], 1) : _vm._e()]) : _vm._e(), _c('div', {
	    staticStyle: {
	      "display": "flex",
	      "background-color": "#FFF",
	      "height": "250px"
	    },
	    style: ({
	      height: _vm.contentHeight + 'px'
	    })
	  }, [(_vm.treeData && _vm.treeData.length) ? _c('div', {
	    directives: [{
	      name: "clickoutside",
	      rawName: "v-clickoutside",
	      value: (_vm.handleClickoutside),
	      expression: "handleClickoutside"
	    }],
	    style: (_vm.styleTree)
	  }, [_c('el-tree', {
	    ref: "reftree",
	    style: ({
	      height: _vm.contentHeight + 'px',
	      overflow: 'auto'
	    }),
	    attrs: {
	      "data": _vm.treeData,
	      "props": _vm.treeprops,
	      "node-key": "id",
	      "check-strictly": true,
	      "show-checkbox": _vm.isMutiSelect && _vm.refInfo.refUIType !== 'RefGridTree',
	      "highlight-current": true,
	      "filter-node-method": _vm.filterNode,
	      "current-node-key": _vm.currentTreeNodeKeys
	    },
	    on: {
	      "check-change": _vm.handleCheckChange,
	      "node-click": _vm.handleNodeClick,
	      "node-dblclick": _vm.nodeDblClick
	    }
	  })], 1) : (_vm.tableData && _vm.tableData.length && Array.isArray(_vm.strFieldName) && _vm.strFieldName.length && Array.isArray(_vm.strFieldCode) && _vm.strFieldCode.length) ? _c('div', {
	    style: (_vm.styleTable)
	  }, [_c('el-table', {
	    ref: "refTable",
	    attrs: {
	      "data": _vm.tableData,
	      "highlight-current-row": "",
	      "empty-text": "暂无数据……",
	      "height": _vm.showPagination ? _vm.contentHeight - 45 : _vm.contentHeight - 1
	    },
	    on: {
	      "current-change": _vm.handleCurrentChange,
	      "row-dblclick": _vm.nodeDblClick,
	      "select": _vm.handleTabSelectChange,
	      "select-all": _vm.handleTabSelectChange
	    }
	  }, [(_vm.isMutiSelect && _vm.refInfo.refUIType !== 'RefTree') ? _c('el-table-column', {
	    attrs: {
	      "type": "selection",
	      "width": "55"
	    }
	  }) : _vm._e(), _vm._l((_vm.strFieldName), function(colName, index) {
	    return _c('el-table-column', {
	      key: index,
	      attrs: {
	        "label": colName,
	        "property": _vm.strFieldCode[index]
	      }
	    })
	  })], 2), (_vm.showPagination) ? _c('el-pagination', {
	    attrs: {
	      "current-page": _vm.currentPage,
	      "page-sizes": [10, 20, 30, 40],
	      "page-size": _vm.pageSize,
	      "layout": "total, sizes, prev, pager, next, jumper",
	      "total": _vm.totalElements
	    },
	    on: {
	      "size-change": _vm.handlePageSizeChange,
	      "current-change": _vm.handleCurrentPageChange
	    }
	  }) : _vm._e()], 1) : _c('div', {
	    staticStyle: {
	      "padding": "12px 12px 100px"
	    }
	  }, [_vm._v("\n              暂无数据……\n            ")])])]), (_vm.isMutiSelect && Array.isArray(_vm.strFieldName) && _vm.strFieldName.length && Array.isArray(_vm.strFieldCode) && _vm.strFieldCode.length) ? _c('el-tab-pane', {
	    attrs: {
	      "label": '已选(' + _vm.selected.length + ')',
	      "name": "second"
	    }
	  }, [_c('div', {
	    style: ({
	      height: (_vm.refInfo.refUIType === 'RefGridTree' ? _vm.contentHeight + 32 : _vm.contentHeight) + 'px'
	    })
	  }, [(_vm.selected.length) ? _c('el-table', {
	    staticStyle: {
	      "width": "100%"
	    },
	    attrs: {
	      "data": _vm.selected,
	      "highlight-current-row": "",
	      "height": _vm.refInfo.refUIType === 'RefGridTree' ? _vm.contentHeight + 31 : _vm.contentHeight - 1
	    }
	  }, [_vm._l((_vm.strFieldName), function(colName, index) {
	    return _c('el-table-column', {
	      key: index,
	      attrs: {
	        "label": colName,
	        "property": _vm.strFieldCode[index]
	      }
	    })
	  }), (_vm.strFieldName.length) ? _c('el-table-column', {
	    attrs: {
	      "label": "操作"
	    },
	    scopedSlots: _vm._u([
	      ["default", function(scope) {
	        return [_c('i', {
	          staticClass: "ifbp-icon-delete el-table-operate-icon",
	          on: {
	            "click": function($event) {
	              _vm.handleDelete(scope.$index, scope.row)
	            }
	          }
	        })]
	      }]
	    ])
	  }) : _vm._e()], 2) : _c('div', {
	    staticClass: "no-selected",
	    style: ({
	      height: _vm.contentHeight + 'px'
	    })
	  }, [_vm._v("\n              暂无选中项……\n            ")])], 1)]) : _vm._e()], 1), _c('div', {
	    staticClass: "dialog-footer",
	    slot: "footer"
	  }, [_c('el-button', {
	    on: {
	      "click": function($event) {
	        _vm.handleCloseSelf('cancel')
	      }
	    }
	  }, [_vm._v("取 消")]), _c('el-button', {
	    attrs: {
	      "type": "primary"
	    },
	    on: {
	      "click": function($event) {
	        _vm.handleCloseSelf('confirm')
	      }
	    }
	  }, [_vm._v("确 定")])], 1)], 1)], 1)
	},staticRenderFns: []}

/***/ }),

/***/ 394:
/***/ (function(module, exports) {

	module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
	  return _c('div', {
	    staticClass: "ref-container"
	  }, [(_vm.editable) ? _c('el-autocomplete', {
	    directives: [{
	      name: "show",
	      rawName: "v-show",
	      value: (true),
	      expression: "true"
	    }],
	    style: ({
	      width: '100%',
	      display: 'inline-block'
	    }),
	    attrs: {
	      "placeholder": _vm.placeholder,
	      "icon": "pt-fenlei1",
	      "width": _vm.width,
	      "disabled": _vm.disabled,
	      "on-icon-click": _vm.showDialog,
	      "triggerOnFocus": _vm.triggerOnFocus,
	      "fetch-suggestions": _vm.getSuggestions
	    },
	    on: {
	      "select": _vm.onSelectData,
	      "blur": _vm.handleInputBlur
	    },
	    model: {
	      value: (_vm.value),
	      callback: function($$v) {
	        _vm.value = $$v
	      },
	      expression: "value"
	    }
	  }) : _c('ifbp-tooltip', {
	    attrs: {
	      "content": _vm.value,
	      "diff": _vm.diffLabel
	    }
	  }), (_vm.customDialog) ? _c('el-dialog', {
	    staticClass: "ref-dialog",
	    attrs: {
	      "title": _vm.dialogTitle,
	      "showClose": _vm.dialogShowClose,
	      "size": _vm.customDialogSize,
	      "width": _vm.width
	    },
	    on: {
	      "close": _vm.closeDialog
	    },
	    model: {
	      value: (_vm.dialogVisible),
	      callback: function($$v) {
	        _vm.dialogVisible = $$v
	      },
	      expression: "dialogVisible"
	    }
	  }, [_c(_vm.customDialog, {
	    tag: "component",
	    attrs: {
	      "refCode": _vm.refCode,
	      "field": _vm.field,
	      "templateValue": _vm.templateValue,
	      "isMutiSelect": _vm.isMutiSelect,
	      "queryParams": _vm.queryParams,
	      "notLeafSelectable": _vm.notLeafSelectable
	    },
	    on: {
	      "customRefConfirm": _vm.onSelectData,
	      "customRefCancel": _vm.closeDialog
	    }
	  })], 1) : _c('refDialog', {
	    attrs: {
	      "size": _vm.customDialogSize,
	      "dialogVisible": _vm.dialogVisible,
	      "refInfo": _vm.refInfo,
	      "templateValue": _vm.templateValue,
	      "savedSelected": _vm.selected,
	      "treeTableTree": _vm.treeTableTree,
	      "refData": _vm.refData,
	      "queryParams": _vm.queryParams,
	      "label": "label",
	      "dialogTitle": _vm.dialogTitle,
	      "dialogShowClose": _vm.dialogShowClose,
	      "isFlatRef": _vm.isFlatRef,
	      "isMutiSelect": _vm.isMutiSelect,
	      "notLeafSelectable": _vm.notLeafSelectable,
	      "totalElementsInitial": _vm.totalElementsInitial,
	      "showPagination": _vm.showPagination
	    },
	    on: {
	      "onSelectData": _vm.onSelectData,
	      "closeDialog": _vm.closeDialog
	    }
	  })], 1)
	},staticRenderFns: []}

/***/ })

/******/ });